;******************************************************************************
;* G3 TMS320C6x C/C++ Codegen                                       PC v8.3.3 *
;* Date/Time created: Mon Mar 25 02:56:24 2019                                *
;******************************************************************************
	.compiler_opts --abi=eabi --array_alignment=8 --c64p_l1d_workaround=off --diag_wrap=off --endian=little --hll_source=on --long_precision_bits=32 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=elf --silicon_version=6740 --symdebug:none 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C674x                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : No Debug Info                                        *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss

;	C:\CCS6.0.1\ccsv6\tools\compiler\ti-cgt-c6000_8.3.3\bin\opt6x.exe C:\\temp\\{2C25B4C1-BC9F-49EC-ADCE-A0C74752FE54} C:\\temp\\{EF5D6231-6A6B-4BEA-9159-C9D9A4FA6A38} 
	.sect	".text:EMIFA_Init"
	.clink
	.global	EMIFA_Init

;******************************************************************************
;* FUNCTION NAME: EMIFA_Init                                                  *
;*                                                                            *
;*   Regs Modified     : A3,A4                                                *
;*   Regs Used         : A3,A4,B3                                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
EMIFA_Init:
;** --------------------------------------------------------------------------*
           RETNOP          B3,2              ; [] |18| 
           MVKL    .S1     0x68000010,A4     ; [A_S674] |5| 

           MVKH    .S1     0x68000010,A4     ; [A_S674] |5| 
||         ZERO    .L1     A3                ; [A_L674] |5| 

           STW     .D1T1   A3,*A4(0)         ; [A_D64P] |5| 
           ; BRANCH OCCURS {B3}              ; [] |18| 

;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_Long_Precision_Bits(2)
	.battr "TI", Tag_File, 1, Tag_Bitfield_layout(2)
	.battr "TI", Tag_File, 1, Tag_ABI_enum_size(3)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_wchar_t(1)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_alignment(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_align_expected(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PIC(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PID(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_DSBT(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_preserved(0)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)
