;******************************************************************************
;* G3 TMS320C6x C/C++ Codegen                                       PC v8.3.3 *
;* Date/Time created: Mon Mar 25 02:56:28 2019                                *
;******************************************************************************
	.compiler_opts --abi=eabi --array_alignment=8 --c64p_l1d_workaround=off --diag_wrap=off --endian=little --hll_source=on --long_precision_bits=32 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=elf --silicon_version=6740 --symdebug:none 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C674x                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : No Debug Info                                        *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss

;	C:\CCS6.0.1\ccsv6\tools\compiler\ti-cgt-c6000_8.3.3\bin\opt6x.exe C:\\temp\\{6C7D8837-D249-4BDB-821C-C7546CFF2867} C:\\temp\\{89E63E8A-A547-4CEC-9145-4F436FA33953} 
	.sect	".text:PSC1_lPSC_enable"
	.clink
	.global	PSC1_lPSC_enable

;******************************************************************************
;* FUNCTION NAME: PSC1_lPSC_enable                                            *
;*                                                                            *
;*   Regs Modified     : A3,A4,A5,A6,A7,B0,B1,B4,B5,B6,B7                     *
;*   Regs Used         : A3,A4,A5,A6,A7,B0,B1,B3,B4,B5,B6,B7                  *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
PSC1_lPSC_enable:
;** --------------------------------------------------------------------------*

           SHL     .S1X    B4,2,A6           ; [A_S674] |18| 
||         MVKL    .S2     0x1e27a00,B4      ; [B_Sb674] |18| 
||         MVK     .L1     1,A3              ; [A_L674] |19| 

           MVKH    .S2     0x1e27a00,B4      ; [B_Sb674] |18| 
           ADD     .L2X    B4,A6,B5          ; [B_L674] |18| 
           LDW     .D2T2   *B5(0),B4         ; [B_D64P] |18| 
           MVKL    .S1     0x1e27120,A7      ; [A_S674] |19| 
           MVKH    .S1     0x1e27120,A7      ; [A_S674] |19| 
           ADDAD   .D1     A7,1,A5           ; [A_D64P] 
           SHL     .S1     A3,A4,A3          ; [A_S674] |19| 
           CLR     .S2     B4,0,4,B4         ; [B_Sb674] |18| 
           OR      .L2     3,B4,B4           ; [B_L674] |18| 
           STW     .D2T2   B4,*B5(0)         ; [B_D64P] |18| 
           STW     .D1T1   A3,*A7(0)         ; [A_D64P] |19| 
           LDW     .D1T2   *A5(0),B4         ; [A_D64P] |20| 
           NOP             4                 ; [A_L674] 
           AND     .L2X    A3,B4,B0          ; [B_L674] |20| 

   [!B0]   BNOP            $C$L4,5           ; [] |20| 
|| [ B0]   MVK     .L2     1,B0              ; [B_L674] 

           ; BRANCHCC OCCURS {$C$L4}         ; [] |20| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../PSC.c
;*      Loop source line                 : 20
;*      Loop opening brace source line   : 20
;*      Loop closing brace source line   : 20
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 1
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     0        1*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        2     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        0     
;*      Bound(.L .S .D .LS .LSD)     0        1*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Did not find schedule
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Did not find schedule
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Did not find schedule
;*         ii = 7  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 1
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L1:    ; PIPED LOOP PROLOG
   [ B0]   SPLOOPW         7                 ;14 ; [A_L674] (P) 
;** --------------------------------------------------------------------------*
$C$L2:    ; PIPED LOOP KERNEL
           NOP             2                 ; [A_L674] 

           SPMASK                            ; [] 
||^        MV      .L2X    A5,B6             ; [B_L674] 

   [ B0]   LDW     .D2T2   *B6(0),B5         ; [B_D64P] |20| (P) <0,3>  ^ 
           NOP             2                 ; [A_L674] 

           SPMASK                            ; [] 
||^        MV      .L2X    A3,B7             ; [B_L674] 

           NOP             1                 ; [A_L674] 
           AND     .L2     B7,B5,B4          ; [B_L674] |20| <0,8>  ^ 
           MV      .L2     B4,B0             ; [B_L674] |20| <0,9>  ^ 
           NOP             2                 ; [A_L674] 
           NOP             1                 ; [A_L674] 
           SPKERNEL        0,0               ; [] 
;** --------------------------------------------------------------------------*
$C$L3:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
$C$L4:    
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../PSC.c
;*      Loop source line                 : 21
;*      Loop opening brace source line   : 21
;*      Loop closing brace source line   : 21
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 8
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        1*    
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 8  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 1
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L5:    ; PIPED LOOP PROLOG
           NOP             1                 ; [A_L674] 
           MVK     .L2     1,B1              ; [B_L674] 
   [ B1]   SPLOOPW         8                 ;16 ; [A_L674] (P) 
;** --------------------------------------------------------------------------*
$C$L6:    ; PIPED LOOP KERNEL
           NOP             2                 ; [A_L674] 

           SPMASK                            ; [] 
||^        MVKL    .S1     0x789e00,A3       ; [A_S674] |21| 

           SPMASK                            ; [] 
||^        MV      .L1     A6,A4             ; [A_L674] 
||^        MVKH    .S1     0x789e00,A3       ; [A_S674] |21| 

   [ B1]   LDW     .D1T2   *+A4[A3],B5       ; [A_D64P] |21| (P) <0,4>  ^ 
           NOP             4                 ; [A_L674] 
           EXTU    .S2     B5,27,27,B4       ; [B_Sb674] |21| <0,9>  ^ 
           CMPEQ   .L2     B4,3,B0           ; [B_L674] |21| <0,10>  ^ 
   [ B0]   ZERO    .L2     B1                ; [B_L674] |21| <0,11>  ^ 
           NOP             2                 ; [A_L674] 
           NOP             1                 ; [A_L674] 
           SPKERNEL        0,0               ; [] 
;** --------------------------------------------------------------------------*
$C$L7:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
           RETNOP          B3,5              ; [] |22| 
           ; BRANCH OCCURS {B3}              ; [] |22| 
	.sect	".text:PSC1_lPSC_disable"
	.clink
	.global	PSC1_lPSC_disable

;******************************************************************************
;* FUNCTION NAME: PSC1_lPSC_disable                                           *
;*                                                                            *
;*   Regs Modified     : A3,A4,A5,A6,A7,B0,B1,B4,B5,B6,B7                     *
;*   Regs Used         : A3,A4,A5,A6,A7,B0,B1,B3,B4,B5,B6,B7                  *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
PSC1_lPSC_disable:
;** --------------------------------------------------------------------------*

           SHL     .S1X    B4,2,A6           ; [A_S674] |25| 
||         MVKL    .S2     0x1e27a00,B4      ; [B_Sb674] |25| 
||         MVK     .L1     1,A3              ; [A_L674] |26| 

           MVKH    .S2     0x1e27a00,B4      ; [B_Sb674] |25| 
           ADD     .L2X    B4,A6,B5          ; [B_L674] |25| 
           LDW     .D2T2   *B5(0),B4         ; [B_D64P] |25| 
           MVKL    .S1     0x1e27120,A7      ; [A_S674] |26| 
           MVKH    .S1     0x1e27120,A7      ; [A_S674] |26| 
           ADDAD   .D1     A7,1,A5           ; [A_D64P] 
           SHL     .S1     A3,A4,A3          ; [A_S674] |26| 
           CLR     .S2     B4,0,4,B4         ; [B_Sb674] |25| 
           OR      .L2     2,B4,B4           ; [B_L674] |25| 
           STW     .D2T2   B4,*B5(0)         ; [B_D64P] |25| 
           STW     .D1T1   A3,*A7(0)         ; [A_D64P] |26| 
           LDW     .D1T2   *A5(0),B4         ; [A_D64P] |27| 
           NOP             4                 ; [A_L674] 
           AND     .L2X    A3,B4,B0          ; [B_L674] |27| 

   [!B0]   BNOP            $C$L11,5          ; [] |27| 
|| [ B0]   MVK     .L2     1,B0              ; [B_L674] 

           ; BRANCHCC OCCURS {$C$L11}        ; [] |27| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../PSC.c
;*      Loop source line                 : 27
;*      Loop opening brace source line   : 27
;*      Loop closing brace source line   : 27
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 1
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     0        1*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        2     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        0     
;*      Bound(.L .S .D .LS .LSD)     0        1*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Did not find schedule
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Did not find schedule
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Did not find schedule
;*         ii = 7  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 1
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L8:    ; PIPED LOOP PROLOG
   [ B0]   SPLOOPW         7                 ;14 ; [A_L674] (P) 
;** --------------------------------------------------------------------------*
$C$L9:    ; PIPED LOOP KERNEL
           NOP             2                 ; [A_L674] 

           SPMASK                            ; [] 
||^        MV      .L2X    A5,B6             ; [B_L674] 

   [ B0]   LDW     .D2T2   *B6(0),B5         ; [B_D64P] |27| (P) <0,3>  ^ 
           NOP             2                 ; [A_L674] 

           SPMASK                            ; [] 
||^        MV      .L2X    A3,B7             ; [B_L674] 

           NOP             1                 ; [A_L674] 
           AND     .L2     B7,B5,B4          ; [B_L674] |27| <0,8>  ^ 
           MV      .L2     B4,B0             ; [B_L674] |27| <0,9>  ^ 
           NOP             2                 ; [A_L674] 
           NOP             1                 ; [A_L674] 
           SPKERNEL        0,0               ; [] 
;** --------------------------------------------------------------------------*
$C$L10:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
$C$L11:    
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../PSC.c
;*      Loop source line                 : 28
;*      Loop opening brace source line   : 28
;*      Loop closing brace source line   : 28
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 8
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        1*    
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 8  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 1
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L12:    ; PIPED LOOP PROLOG
           NOP             1                 ; [A_L674] 
           MVK     .L2     1,B1              ; [B_L674] 
   [ B1]   SPLOOPW         8                 ;16 ; [A_L674] (P) 
;** --------------------------------------------------------------------------*
$C$L13:    ; PIPED LOOP KERNEL
           NOP             2                 ; [A_L674] 

           SPMASK                            ; [] 
||^        MVKL    .S1     0x789e00,A3       ; [A_S674] |28| 

           SPMASK                            ; [] 
||^        MV      .L1     A6,A4             ; [A_L674] 
||^        MVKH    .S1     0x789e00,A3       ; [A_S674] |28| 

   [ B1]   LDW     .D1T2   *+A4[A3],B5       ; [A_D64P] |28| (P) <0,4>  ^ 
           NOP             4                 ; [A_L674] 
           EXTU    .S2     B5,27,27,B4       ; [B_Sb674] |28| <0,9>  ^ 
           CMPEQ   .L2     B4,2,B0           ; [B_L674] |28| <0,10>  ^ 
   [ B0]   ZERO    .L2     B1                ; [B_L674] |28| <0,11>  ^ 
           NOP             2                 ; [A_L674] 
           NOP             1                 ; [A_L674] 
           SPKERNEL        0,0               ; [] 
;** --------------------------------------------------------------------------*
$C$L14:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
           RETNOP          B3,5              ; [] |29| 
           ; BRANCH OCCURS {B3}              ; [] |29| 
	.sect	".text:PSC0_lPSC_enable"
	.clink
	.global	PSC0_lPSC_enable

;******************************************************************************
;* FUNCTION NAME: PSC0_lPSC_enable                                            *
;*                                                                            *
;*   Regs Modified     : A3,A4,A5,A6,A7,B0,B1,B4,B5,B6,B7                     *
;*   Regs Used         : A3,A4,A5,A6,A7,B0,B1,B3,B4,B5,B6,B7                  *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
PSC0_lPSC_enable:
;** --------------------------------------------------------------------------*

           SHL     .S1X    B4,2,A6           ; [A_S674] |4| 
||         MVKL    .S2     0x1c10a00,B4      ; [B_Sb674] |4| 
||         MVK     .L1     1,A3              ; [A_L674] |5| 

           MVKH    .S2     0x1c10a00,B4      ; [B_Sb674] |4| 
           ADD     .L2X    B4,A6,B5          ; [B_L674] |4| 
           LDW     .D2T2   *B5(0),B4         ; [B_D64P] |4| 
           MVKL    .S1     0x1c10120,A7      ; [A_S674] |5| 
           MVKH    .S1     0x1c10120,A7      ; [A_S674] |5| 
           ADDAD   .D1     A7,1,A5           ; [A_D64P] 
           SHL     .S1     A3,A4,A3          ; [A_S674] |5| 
           CLR     .S2     B4,0,4,B4         ; [B_Sb674] |4| 
           OR      .L2     3,B4,B4           ; [B_L674] |4| 
           STW     .D2T2   B4,*B5(0)         ; [B_D64P] |4| 
           STW     .D1T1   A3,*A7(0)         ; [A_D64P] |5| 
           LDW     .D1T2   *A5(0),B4         ; [A_D64P] |6| 
           NOP             4                 ; [A_L674] 
           AND     .L2X    A3,B4,B0          ; [B_L674] |6| 

   [!B0]   BNOP            $C$L18,5          ; [] |6| 
|| [ B0]   MVK     .L2     1,B0              ; [B_L674] 

           ; BRANCHCC OCCURS {$C$L18}        ; [] |6| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../PSC.c
;*      Loop source line                 : 6
;*      Loop opening brace source line   : 6
;*      Loop closing brace source line   : 6
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 1
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     0        1*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        2     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        0     
;*      Bound(.L .S .D .LS .LSD)     0        1*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Did not find schedule
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Did not find schedule
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Did not find schedule
;*         ii = 7  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 1
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L15:    ; PIPED LOOP PROLOG
   [ B0]   SPLOOPW         7                 ;14 ; [A_L674] (P) 
;** --------------------------------------------------------------------------*
$C$L16:    ; PIPED LOOP KERNEL
           NOP             2                 ; [A_L674] 

           SPMASK                            ; [] 
||^        MV      .L2X    A5,B6             ; [B_L674] 

   [ B0]   LDW     .D2T2   *B6(0),B5         ; [B_D64P] |6| (P) <0,3>  ^ 
           NOP             2                 ; [A_L674] 

           SPMASK                            ; [] 
||^        MV      .L2X    A3,B7             ; [B_L674] 

           NOP             1                 ; [A_L674] 
           AND     .L2     B7,B5,B4          ; [B_L674] |6| <0,8>  ^ 
           MV      .L2     B4,B0             ; [B_L674] |6| <0,9>  ^ 
           NOP             2                 ; [A_L674] 
           NOP             1                 ; [A_L674] 
           SPKERNEL        0,0               ; [] 
;** --------------------------------------------------------------------------*
$C$L17:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
$C$L18:    
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../PSC.c
;*      Loop source line                 : 7
;*      Loop opening brace source line   : 7
;*      Loop closing brace source line   : 7
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 8
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        1*    
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 8  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 1
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L19:    ; PIPED LOOP PROLOG
           NOP             1                 ; [A_L674] 
           MVK     .L2     1,B1              ; [B_L674] 
   [ B1]   SPLOOPW         8                 ;16 ; [A_L674] (P) 
;** --------------------------------------------------------------------------*
$C$L20:    ; PIPED LOOP KERNEL
           NOP             2                 ; [A_L674] 

           SPMASK                            ; [] 
||^        MVKL    .S1     0x704200,A3       ; [A_S674] |7| 

           SPMASK                            ; [] 
||^        MV      .L1     A6,A4             ; [A_L674] 
||^        MVKH    .S1     0x704200,A3       ; [A_S674] |7| 

   [ B1]   LDW     .D1T2   *+A4[A3],B5       ; [A_D64P] |7| (P) <0,4>  ^ 
           NOP             4                 ; [A_L674] 
           EXTU    .S2     B5,27,27,B4       ; [B_Sb674] |7| <0,9>  ^ 
           CMPEQ   .L2     B4,3,B0           ; [B_L674] |7| <0,10>  ^ 
   [ B0]   ZERO    .L2     B1                ; [B_L674] |7| <0,11>  ^ 
           NOP             2                 ; [A_L674] 
           NOP             1                 ; [A_L674] 
           SPKERNEL        0,0               ; [] 
;** --------------------------------------------------------------------------*
$C$L21:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
           RETNOP          B3,5              ; [] |8| 
           ; BRANCH OCCURS {B3}              ; [] |8| 
	.sect	".text:PSC0_lPSC_disable"
	.clink
	.global	PSC0_lPSC_disable

;******************************************************************************
;* FUNCTION NAME: PSC0_lPSC_disable                                           *
;*                                                                            *
;*   Regs Modified     : A3,A4,A5,A6,A7,B0,B1,B4,B5,B6,B7                     *
;*   Regs Used         : A3,A4,A5,A6,A7,B0,B1,B3,B4,B5,B6,B7                  *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
PSC0_lPSC_disable:
;** --------------------------------------------------------------------------*

           SHL     .S1X    B4,2,A6           ; [A_S674] |11| 
||         MVKL    .S2     0x1c10a00,B4      ; [B_Sb674] |11| 
||         MVK     .L1     1,A3              ; [A_L674] |12| 

           MVKH    .S2     0x1c10a00,B4      ; [B_Sb674] |11| 
           ADD     .L2X    B4,A6,B5          ; [B_L674] |11| 
           LDW     .D2T2   *B5(0),B4         ; [B_D64P] |11| 
           MVKL    .S1     0x1c10120,A7      ; [A_S674] |12| 
           MVKH    .S1     0x1c10120,A7      ; [A_S674] |12| 
           ADDAD   .D1     A7,1,A5           ; [A_D64P] 
           SHL     .S1     A3,A4,A3          ; [A_S674] |12| 
           CLR     .S2     B4,0,4,B4         ; [B_Sb674] |11| 
           OR      .L2     2,B4,B4           ; [B_L674] |11| 
           STW     .D2T2   B4,*B5(0)         ; [B_D64P] |11| 
           STW     .D1T1   A3,*A7(0)         ; [A_D64P] |12| 
           LDW     .D1T2   *A5(0),B4         ; [A_D64P] |13| 
           NOP             4                 ; [A_L674] 
           AND     .L2X    A3,B4,B0          ; [B_L674] |13| 

   [!B0]   BNOP            $C$L25,5          ; [] |13| 
|| [ B0]   MVK     .L2     1,B0              ; [B_L674] 

           ; BRANCHCC OCCURS {$C$L25}        ; [] |13| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../PSC.c
;*      Loop source line                 : 13
;*      Loop opening brace source line   : 13
;*      Loop closing brace source line   : 13
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 1
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     0        1*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        2     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        0     
;*      Bound(.L .S .D .LS .LSD)     0        1*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Did not find schedule
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Did not find schedule
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Did not find schedule
;*         ii = 7  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 1
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L22:    ; PIPED LOOP PROLOG
   [ B0]   SPLOOPW         7                 ;14 ; [A_L674] (P) 
;** --------------------------------------------------------------------------*
$C$L23:    ; PIPED LOOP KERNEL
           NOP             2                 ; [A_L674] 

           SPMASK                            ; [] 
||^        MV      .L2X    A5,B6             ; [B_L674] 

   [ B0]   LDW     .D2T2   *B6(0),B5         ; [B_D64P] |13| (P) <0,3>  ^ 
           NOP             2                 ; [A_L674] 

           SPMASK                            ; [] 
||^        MV      .L2X    A3,B7             ; [B_L674] 

           NOP             1                 ; [A_L674] 
           AND     .L2     B7,B5,B4          ; [B_L674] |13| <0,8>  ^ 
           MV      .L2     B4,B0             ; [B_L674] |13| <0,9>  ^ 
           NOP             2                 ; [A_L674] 
           NOP             1                 ; [A_L674] 
           SPKERNEL        0,0               ; [] 
;** --------------------------------------------------------------------------*
$C$L24:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
$C$L25:    
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../PSC.c
;*      Loop source line                 : 14
;*      Loop opening brace source line   : 14
;*      Loop closing brace source line   : 14
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 8
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        1*    
;*      .S units                     0        1*    
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        1*    
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 8  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 1
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L26:    ; PIPED LOOP PROLOG
           NOP             1                 ; [A_L674] 
           MVK     .L2     1,B1              ; [B_L674] 
   [ B1]   SPLOOPW         8                 ;16 ; [A_L674] (P) 
;** --------------------------------------------------------------------------*
$C$L27:    ; PIPED LOOP KERNEL
           NOP             2                 ; [A_L674] 

           SPMASK                            ; [] 
||^        MVKL    .S1     0x704200,A3       ; [A_S674] |14| 

           SPMASK                            ; [] 
||^        MV      .L1     A6,A4             ; [A_L674] 
||^        MVKH    .S1     0x704200,A3       ; [A_S674] |14| 

   [ B1]   LDW     .D1T2   *+A4[A3],B5       ; [A_D64P] |14| (P) <0,4>  ^ 
           NOP             4                 ; [A_L674] 
           EXTU    .S2     B5,27,27,B4       ; [B_Sb674] |14| <0,9>  ^ 
           CMPEQ   .L2     B4,2,B0           ; [B_L674] |14| <0,10>  ^ 
   [ B0]   ZERO    .L2     B1                ; [B_L674] |14| <0,11>  ^ 
           NOP             2                 ; [A_L674] 
           NOP             1                 ; [A_L674] 
           SPKERNEL        0,0               ; [] 
;** --------------------------------------------------------------------------*
$C$L28:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
           RETNOP          B3,5              ; [] |15| 
           ; BRANCH OCCURS {B3}              ; [] |15| 

;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_Long_Precision_Bits(2)
	.battr "TI", Tag_File, 1, Tag_Bitfield_layout(2)
	.battr "TI", Tag_File, 1, Tag_ABI_enum_size(3)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_wchar_t(1)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_alignment(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_align_expected(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PIC(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PID(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_DSBT(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_preserved(0)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)
