;******************************************************************************
;* G3 TMS320C6x C/C++ Codegen                                       PC v8.3.3 *
;* Date/Time created: Mon Mar 25 02:56:35 2019                                *
;******************************************************************************
	.compiler_opts --abi=eabi --array_alignment=8 --c64p_l1d_workaround=off --diag_wrap=off --endian=little --hll_source=on --long_precision_bits=32 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=elf --silicon_version=6740 --symdebug:none 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C674x                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : No Debug Info                                        *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss

	.global	Timer_Flag
	.sect	".neardata", RW
	.align	4
	.elfsym	Timer_Flag,SYM_SIZE(4)
Timer_Flag:
	.bits		0,32
			; Timer_Flag @ 0

;	C:\CCS6.0.1\ccsv6\tools\compiler\ti-cgt-c6000_8.3.3\bin\opt6x.exe C:\\temp\\{B02F53BF-05A2-43A5-A438-FEC1DD273633} C:\\temp\\{80C037EA-A1CF-46EE-AE76-004B84EEB46A} 
	.sect	".text:Timer_INT_Init"
	.clink
	.global	Timer_INT_Init

;******************************************************************************
;* FUNCTION NAME: Timer_INT_Init                                              *
;*                                                                            *
;*   Regs Modified     : A3,A4,A5,A6,A7,B4,B5,B6,B7                           *
;*   Regs Used         : A3,A4,A5,A6,A7,B3,B4,B5,B6,B7                        *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
Timer_INT_Init:
;** --------------------------------------------------------------------------*
           MVK     .S1     24000,A5          ; [A_S674] |20| 
           MVKL    .S1     0x1c20024,A3      ; [A_S674] |18| 

           MPY32   .M1     A5,A4,A6          ; [A_M674] |20| 
||         MVKH    .S1     0x1c20024,A3      ; [A_S674] |18| 

           MVK     .L2     4,B4              ; [B_L674] |18| 
||         SUBAW   .D1     A3,5,A4           ; [A_D64P] 

           STW     .D1T2   B4,*A3(0)         ; [A_D64P] |18| 

           ZERO    .L2     B5                ; [B_L674] |19| 
||         ADDAD   .D1     A4,1,A5           ; [A_D64P] 

           STW     .D1T2   B5,*A4(0)         ; [A_D64P] |19| 
||         SUB     .L1     A6,1,A4           ; [A_L674] |20| 
||         ADD     .L2X    -4,A3,B5          ; [B_L674] 
||         MVK     .S2     128,B7            ; [B_Sb674] |21| 
||         MVKL    .S1     0x1800104,A7      ; [A_S674] |23| 


           STW     .D1T1   A4,*A5(0)         ; [A_D64P] |20| 
||         STW     .D2T2   B7,*B5(0)         ; [B_D64P] |21| 
||         MVKH    .S1     0x1800104,A7      ; [A_S674] |23| 
||         MVKL    .S2     _intcVectorTable,B6 ; [B_Sb674] |25| 


           STW     .D1T2   B4,*A7(0)         ; [A_D64P] |23| 
||         MVKH    .S2     _intcVectorTable,B6 ; [B_Sb674] |25| 

           MVC     .S2     B6,ISTP           ; [B_Sb674] |25| 
           ZERO    .L2     B4                ; [B_L674] |27| 
           SET     .S2     B4,4,15,B4        ; [B_Sb674] |27| 
           MVC     .S2     B4,ICR            ; [B_Sb674] |27| 
           NOP             1                 ; [A_L674] 
           MVK     .S2     18,B4             ; [B_Sb674] |29| 
           MVC     .S2     B4,IER            ; [B_Sb674] |29| 
           MVC     .S2     CSR,B4            ; [B_Sb674] |31| 
           OR      .L2     1,B4,B4           ; [B_L674] |31| 
           MVC     .S2     B4,CSR            ; [B_Sb674] |31| 
           RETNOP          B3,3              ; [] |34| 
           MVK     .L1     5,A4              ; [A_L674] |33| 
           STW     .D1T1   A4,*A3(0)         ; [A_D64P] |33| 
           ; BRANCH OCCURS {B3}              ; [] |34| 
	.sect	".text:Timer_INT"
	.retain
	.retainrefs
	.global	Timer_INT

;******************************************************************************
;* FUNCTION NAME: Timer_INT                                                   *
;*                                                                            *
;*   Regs Modified     : B4,SP                                                *
;*   Regs Used         : B4,DP,SP                                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************
Timer_INT:
;** --------------------------------------------------------------------------*

           STW     .D2T2   B4,*SP++(-8)      ; [B_D64P] |39| 
||         MVK     .L2     1,B4              ; [B_L674] |40| 


           RET     .S2     IRP               ; [B_Sb674] |41| 
||         STW     .D2T2   B4,*+DP(Timer_Flag) ; [B_D64P] |40| 

           LDW     .D2T2   *++SP(8),B4       ; [B_D64P] |41| 
           NOP             4                 ; [A_L674] 
           ; BRANCH OCCURS {IRP}             ; [] |41| 
	.sect	".text:Timer_Delay"
	.clink
	.global	Timer_Delay

;******************************************************************************
;* FUNCTION NAME: Timer_Delay                                                 *
;*                                                                            *
;*   Regs Modified     : A3,A4,A5,B0,B4,B5,B6,B7                              *
;*   Regs Used         : A3,A4,A5,B0,B3,B4,B5,B6,B7                           *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
Timer_Delay:
;** --------------------------------------------------------------------------*

           MVK     .S1     24000,A3          ; [A_S674] |8| 
||         MVKL    .S2     0x1c20024,B4      ; [B_Sb674] |6| 
||         MVK     .L2     4,B7              ; [B_L674] |6| 
||         ZERO    .L1     A5                ; [A_L674] |7| 

           MPY32   .M1     A3,A4,A4          ; [A_M674] |8| 
||         MVKH    .S2     0x1c20024,B4      ; [B_Sb674] |6| 
||         MVK     .S1     8,A3              ; [A_S674] 

           SUBAW   .D2     B4,5,B5           ; [B_D64P] 

           STW     .D2T2   B7,*B4(0)         ; [B_D64P] |6| 
||         ADD     .L2     -4,B4,B7          ; [B_L674] 


           ADD     .L1X    A3,B5,A3          ; [A_L674] 
||         STW     .D2T1   A5,*B5(0)         ; [B_D64P] |7| 
||         MVK     .L2     3,B5              ; [B_L674] |10| 


           SUB     .L1     A4,1,A4           ; [A_L674] |8| 
||         ADDAW   .D2     B7,9,B6           ; [B_D64P] 

           STW     .D1T1   A4,*A3(0)         ; [A_D64P] |8| 
||         MVK     .S1     64,A3             ; [A_S674] |9| 

           STW     .D2T1   A3,*B7(0)         ; [B_D64P] |9| 

           STW     .D2T2   B5,*B6(0)         ; [B_D64P] |10| 
||         MVK     .L2     5,B5              ; [B_L674] |11| 

           STW     .D2T2   B5,*B4(0)         ; [B_D64P] |11| 
           LDW     .D2T2   *B6(0),B4         ; [B_D64P] |12| 
           NOP             4                 ; [A_L674] 
           AND     .L2     2,B4,B0           ; [B_L674] |12| 

   [ B0]   BNOP            $C$L4,5           ; [] |12| 
|| [!B0]   MV      .L2X    A5,B0             ; [B_L674] 

           ; BRANCHCC OCCURS {$C$L4}         ; [] |12| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../Timer.c
;*      Loop source line                 : 12
;*      Loop opening brace source line   : 12
;*      Loop closing brace source line   : 12
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 1
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     0        1*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        2     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        0     
;*      Bound(.L .S .D .LS .LSD)     0        1*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Did not find schedule
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Did not find schedule
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Did not find schedule
;*         ii = 7  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 1
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L1:    ; PIPED LOOP PROLOG
   [!B0]   SPLOOPW         7                 ;14 ; [A_L674] (P) 
;** --------------------------------------------------------------------------*
$C$L2:    ; PIPED LOOP KERNEL
           NOP             3                 ; [A_L674] 
   [!B0]   LDW     .D2T2   *B6(0),B5         ; [B_D64P] |12| (P) <0,3>  ^ 
           NOP             4                 ; [A_L674] 
           AND     .L2     2,B5,B4           ; [B_L674] |12| <0,8>  ^ 
           MV      .L2     B4,B0             ; [B_L674] |12| <0,9>  ^ 
           NOP             2                 ; [A_L674] 
           NOP             1                 ; [A_L674] 
           SPKERNEL        0,0               ; [] 
;** --------------------------------------------------------------------------*
$C$L3:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
$C$L4:    
           RETNOP          B3,5              ; [] |13| 
           ; BRANCH OCCURS {B3}              ; [] |13| 
;*****************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                             *
;*****************************************************************************
	.global	_intcVectorTable

;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_Long_Precision_Bits(2)
	.battr "TI", Tag_File, 1, Tag_Bitfield_layout(2)
	.battr "TI", Tag_File, 1, Tag_ABI_enum_size(3)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_wchar_t(1)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_alignment(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_align_expected(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PIC(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PID(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_DSBT(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_preserved(0)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)
