#include "EMIFA.h"

void EMIFA_Init(void)
{
 EMIFA_CE2CFG= (/* 1*/ 0<<31)| //Select Strobe (0 - Normal Mode)
               (/* 1*/ 0<<30)| //Extend Wait (0 - disabled)

               (/*15*/ 0<<26)| //Write setup width 0..15 (0 - EMA_CLK/1)
               (/*63*/ 0<<20)| //Write strobe width 0..63 (0 - EMA_CLK/1)
               (/* 7*/ 0<<17)| //Write hold width 0..7 (0 - EMA_CLK/1)

               (/*15*/ 0<<13)| //Read setup width 0..15 (0 - EMA_CLK/1)
               (/*63*/ 0<< 7)| //Read strobe width 0..63 (0 - EMA_CLK/1)
               (/* 7*/ 0<< 4)| //Read hold width 0..7 (0 - EMA_CLK/1)

               (/* 3*/ 0<< 2)| //Minimum Turn-Around time (min. num. of EMA_CLK cycles between reads & writes - 1)
                 0     ; //Asynchronous Data Bus Width (0 - 8 bit)
}
