#include "PSC.h"

void PSC0_lPSC_enable(unsigned int PD, unsigned int LPSC_num) {
  *(volatile unsigned int*) (PSC0_MDCTL+4*LPSC_num) = (*(volatile unsigned int*) (PSC0_MDCTL+4*LPSC_num) & 0xFFFFFFE0) | 0x0003;
  PSC0_PTCMD = 0x1<<PD;
  while( (PSC0_PTSTAT & (0x1<<PD) ) !=0) ; /*Wait for power state transition to finish*/
  while( (*(volatile unsigned int*)(PSC0_MDSTAT+4 * LPSC_num) & 0x1F) !=0x3);
}

void PSC0_lPSC_disable(unsigned int PD, unsigned int LPSC_num) {
  *(volatile unsigned int*) (PSC0_MDCTL+4*LPSC_num) = (*(volatile unsigned int*) (PSC0_MDCTL+4*LPSC_num) & 0xFFFFFFE0) | 0x0002;
  PSC0_PTCMD = 0x1<<PD;
  while( (PSC0_PTSTAT & (0x1<<PD) ) !=0) ; /*Wait for power state transition to finish*/
  while( (*(volatile unsigned int*)(PSC0_MDSTAT+4 * LPSC_num) & 0x1F) !=0x2);
}

void PSC1_lPSC_enable(unsigned int PD, unsigned int LPSC_num) {
  *(volatile unsigned int*) (PSC1_MDCTL+4*LPSC_num) = (*(volatile unsigned int*) (PSC1_MDCTL+4*LPSC_num) & 0xFFFFFFE0) | 0x0003;
  PSC1_PTCMD = 0x1<<PD;
  while( (PSC1_PTSTAT & (0x1<<PD) ) !=0) ; /*Wait for power state transition to finish*/
  while( (*(volatile unsigned int*)(PSC1_MDSTAT+4 * LPSC_num) & 0x1F) !=0x3);
}

void PSC1_lPSC_disable(unsigned int PD, unsigned int LPSC_num) {
  *(volatile unsigned int*) (PSC1_MDCTL+4*LPSC_num) = (*(volatile unsigned int*) (PSC1_MDCTL+4*LPSC_num) & 0xFFFFFFE0) | 0x0002;
  PSC1_PTCMD = 0x1<<PD;
  while( (PSC1_PTSTAT & (0x1<<PD) ) !=0) ; /*Wait for power state transition to finish*/
  while( (*(volatile unsigned int*)(PSC1_MDSTAT+4 * LPSC_num) & 0x1F) !=0x2);
}
