;******************************************************************************
;* G3 TMS320C6x C/C++ Codegen                                       PC v8.3.3 *
;* Date/Time created: Mon Mar 25 02:56:23 2019                                *
;******************************************************************************
	.compiler_opts --abi=eabi --array_alignment=8 --c64p_l1d_workaround=off --diag_wrap=off --endian=little --hll_source=on --long_precision_bits=32 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=elf --silicon_version=6740 --symdebug:none 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C674x                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : No Debug Info                                        *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss

;	C:\CCS6.0.1\ccsv6\tools\compiler\ti-cgt-c6000_8.3.3\bin\opt6x.exe C:\\temp\\{6DDF6116-5EDA-473E-B811-19437EB8A85C} C:\\temp\\{89EFDA93-3647-465C-83E1-05F3A2296FD2} 
	.sect	".text:SDRAM_Cacheable"
	.clink
	.global	SDRAM_Cacheable

;******************************************************************************
;* FUNCTION NAME: SDRAM_Cacheable                                             *
;*                                                                            *
;*   Regs Modified     : A3                                                   *
;*   Regs Used         : A3,A4,B3                                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
SDRAM_Cacheable:
;** --------------------------------------------------------------------------*
           RETNOP          B3,1              ; [] |24| 
           MVKL    .S1     0x1848300,A3      ; [A_S674] |22| 
           MVKH    .S1     0x1848300,A3      ; [A_S674] |22| 

           STW     .D1T1   A4,*A3(0)         ; [A_D64P] |22| 
||         ADD     .L1     4,A3,A3           ; [A_L674] 

           STW     .D1T1   A4,*A3(0)         ; [A_D64P] |23| 
           ; BRANCH OCCURS {B3}              ; [] |24| 
	.sect	".text:L2_Config"
	.clink
	.global	L2_Config

;******************************************************************************
;* FUNCTION NAME: L2_Config                                                   *
;*                                                                            *
;*   Regs Modified     : A3,B0,B4,B5,B6,B7                                    *
;*   Regs Used         : A3,A4,B0,B3,B4,B5,B6,B7                              *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
L2_Config:
;** --------------------------------------------------------------------------*

           MVKL    .S2     0x1845000,B6      ; [B_Sb674] |46| 
||         MVK     .L2     1,B4              ; [B_L674] |46| 

           MVKH    .S2     0x1845000,B6      ; [B_Sb674] |46| 
           STW     .D2T2   B4,*B6(0)         ; [B_D64P] |46| 
           LDW     .D2T2   *B6(0),B4         ; [B_D64P] |47| 
           MV      .L2X    A4,B7             ; [B_L674] |15| 
           NOP             3                 ; [A_L674] 
           AND     .L2     1,B4,B0           ; [B_L674] |47| 

   [!B0]   BNOP            $C$L4,5           ; [] |47| 
|| [ B0]   MVK     .L2     1,B0              ; [B_L674] 

           ; BRANCHCC OCCURS {$C$L4}         ; [] |47| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../Cache.c
;*      Loop inlined from                : ..\Cache.h
;*      Loop source line                 : 47
;*      Loop opening brace source line   : 47
;*      Loop closing brace source line   : 47
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 1
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     0        1*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        2     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        0     
;*      Bound(.L .S .D .LS .LSD)     0        1*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Did not find schedule
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Did not find schedule
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Did not find schedule
;*         ii = 7  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 1
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L1:    ; PIPED LOOP PROLOG
   [ B0]   SPLOOPW         7                 ;14 ; [A_L674] (P) 
;** --------------------------------------------------------------------------*
$C$L2:    ; PIPED LOOP KERNEL
           NOP             3                 ; [A_L674] 
   [ B0]   LDW     .D2T2   *B6(0),B5         ; [B_D64P] |47| (P) <0,3>  ^ 
           NOP             4                 ; [A_L674] 
           AND     .L2     1,B5,B4           ; [B_L674] |47| <0,8>  ^ 
           MV      .L2     B4,B0             ; [B_L674] |47| <0,9>  ^ 
           NOP             2                 ; [A_L674] 
           NOP             1                 ; [A_L674] 
           SPKERNEL        0,0               ; [] 
;** --------------------------------------------------------------------------*
$C$L3:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
$C$L4:    
           RETNOP          B3,2              ; [] |18| 
           ZERO    .L1     A3                ; [A_L674] |17| 
           MVKH    .S1     0x1840000,A3      ; [A_S674] |17| 
           STW     .D1T2   B7,*A3(0)         ; [A_D64P] |17| 
           ; BRANCH OCCURS {B3}              ; [] |18| 
	.sect	".text:L1P_Config"
	.clink
	.global	L1P_Config

;******************************************************************************
;* FUNCTION NAME: L1P_Config                                                  *
;*                                                                            *
;*   Regs Modified     : A3                                                   *
;*   Regs Used         : A3,A4,B3                                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
L1P_Config:
;** --------------------------------------------------------------------------*
           RETNOP          B3,2              ; [] |6| 
           MVKL    .S1     0x1840020,A3      ; [A_S674] |5| 
           MVKH    .S1     0x1840020,A3      ; [A_S674] |5| 
           STW     .D1T1   A4,*A3(0)         ; [A_D64P] |5| 
           ; BRANCH OCCURS {B3}              ; [] |6| 
	.sect	".text:L1D_Config"
	.clink
	.global	L1D_Config

;******************************************************************************
;* FUNCTION NAME: L1D_Config                                                  *
;*                                                                            *
;*   Regs Modified     : A3,B0,B4,B5,B6,B7                                    *
;*   Regs Used         : A3,A4,B0,B3,B4,B5,B6,B7                              *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
L1D_Config:
;** --------------------------------------------------------------------------*

           MVKL    .S2     0x1845040,B6      ; [B_Sb674] |40| 
||         MVK     .L2     1,B4              ; [B_L674] |40| 

           MVKH    .S2     0x1845040,B6      ; [B_Sb674] |40| 
           STW     .D2T2   B4,*B6(0)         ; [B_D64P] |40| 
           LDW     .D2T2   *B6(0),B4         ; [B_D64P] |41| 
           MV      .L2X    A4,B7             ; [B_L674] |9| 
           NOP             3                 ; [A_L674] 
           AND     .L2     1,B4,B0           ; [B_L674] |41| 

   [!B0]   BNOP            $C$L8,5           ; [] |41| 
|| [ B0]   MVK     .L2     1,B0              ; [B_L674] 

           ; BRANCHCC OCCURS {$C$L8}         ; [] |41| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../Cache.c
;*      Loop inlined from                : ..\Cache.h
;*      Loop source line                 : 41
;*      Loop opening brace source line   : 41
;*      Loop closing brace source line   : 41
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 1
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     0        1*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        2     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        0     
;*      Bound(.L .S .D .LS .LSD)     0        1*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Did not find schedule
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Did not find schedule
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Did not find schedule
;*         ii = 7  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 1
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L5:    ; PIPED LOOP PROLOG
   [ B0]   SPLOOPW         7                 ;14 ; [A_L674] (P) 
;** --------------------------------------------------------------------------*
$C$L6:    ; PIPED LOOP KERNEL
           NOP             3                 ; [A_L674] 
   [ B0]   LDW     .D2T2   *B6(0),B5         ; [B_D64P] |41| (P) <0,3>  ^ 
           NOP             4                 ; [A_L674] 
           AND     .L2     1,B5,B4           ; [B_L674] |41| <0,8>  ^ 
           MV      .L2     B4,B0             ; [B_L674] |41| <0,9>  ^ 
           NOP             2                 ; [A_L674] 
           NOP             1                 ; [A_L674] 
           SPKERNEL        0,0               ; [] 
;** --------------------------------------------------------------------------*
$C$L7:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
$C$L8:    
           RETNOP          B3,2              ; [] |12| 
           MVKL    .S1     0x1840040,A3      ; [A_S674] |11| 
           MVKH    .S1     0x1840040,A3      ; [A_S674] |11| 
           STW     .D1T2   B7,*A3(0)         ; [A_D64P] |11| 
           ; BRANCH OCCURS {B3}              ; [] |12| 

;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_Long_Precision_Bits(2)
	.battr "TI", Tag_File, 1, Tag_Bitfield_layout(2)
	.battr "TI", Tag_File, 1, Tag_ABI_enum_size(3)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_wchar_t(1)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_alignment(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_align_expected(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PIC(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PID(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_DSBT(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_preserved(0)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)
