;******************************************************************************
;* G3 TMS320C6x C/C++ Codegen                                       PC v8.3.3 *
;* Date/Time created: Mon Mar 25 02:56:23 2019                                *
;******************************************************************************
	.compiler_opts --abi=eabi --array_alignment=8 --c64p_l1d_workaround=off --diag_wrap=off --endian=little --hll_source=on --long_precision_bits=32 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=elf --silicon_version=6740 --symdebug:none 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C674x                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : No Debug Info                                        *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss

	.sect	".neardata", RW
	.align	4
	.elfsym	first$1,SYM_SIZE(4)
first$1:
	.bits		0x1,32
			; first$1 @ 0

;	C:\CCS6.0.1\ccsv6\tools\compiler\ti-cgt-c6000_8.3.3\bin\opt6x.exe C:\\temp\\{B4E3CB12-F681-4B3C-88FE-2A80B8EF0C1B} C:\\temp\\{B275D25E-D91C-4826-B384-16FB9295DF09} 
	.sect	".text:EDMA_Wait"
	.clink
	.global	EDMA_Wait

;******************************************************************************
;* FUNCTION NAME: EDMA_Wait                                                   *
;*                                                                            *
;*   Regs Modified     : A3,B0,B4,B5,B6,B7                                    *
;*   Regs Used         : A3,B0,B3,B4,B5,B6,B7,DP                              *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
EDMA_Wait:
;** --------------------------------------------------------------------------*
           LDW     .D2T2   *+DP(first$1),B0  ; [B_D64P] |39| 
           ZERO    .L1     A3                ; [A_L674] |39| 
           MVKL    .S2     0x1c01068,B7      ; [B_Sb674] |42| 
           MVKH    .S2     0x1c01068,B7      ; [B_Sb674] |42| 
           NOP             1                 ; [A_L674] 

   [ B0]   BNOP            $C$L5,4           ; [] |39| 
|| [!B0]   LDW     .D2T2   *B7(0),B4         ; [B_D64P] |42| 

           AND     .L2     1,B4,B0           ; [B_L674] |42| 
           ; BRANCHCC OCCURS {$C$L5}         ; [] |39| 
;** --------------------------------------------------------------------------*

   [ B0]   BNOP            $C$L4,5           ; [] |42| 
|| [!B0]   MV      .L2X    A3,B0             ; [B_L674] 

           ; BRANCHCC OCCURS {$C$L4}         ; [] |42| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../EDMA3.c
;*      Loop source line                 : 42
;*      Loop opening brace source line   : 42
;*      Loop closing brace source line   : 42
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 1
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     0        1*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        2     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        0     
;*      Bound(.L .S .D .LS .LSD)     0        1*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Unsafe schedule for irregular loop
;*         ii = 4  Did not find schedule
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Unsafe schedule for irregular loop
;*         ii = 5  Did not find schedule
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Unsafe schedule for irregular loop
;*         ii = 6  Did not find schedule
;*         ii = 7  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 1
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L1:    ; PIPED LOOP PROLOG
   [!B0]   SPLOOPW         7                 ;14 ; [A_L674] (P) 
;** --------------------------------------------------------------------------*
$C$L2:    ; PIPED LOOP KERNEL
           NOP             2                 ; [A_L674] 

           SPMASK                            ; [] 
||^        MV      .L2     B7,B6             ; [B_L674] 

   [!B0]   LDW     .D2T2   *B6(0),B5         ; [B_D64P] |42| (P) <0,3>  ^ 
           NOP             4                 ; [A_L674] 
           AND     .L2     1,B5,B4           ; [B_L674] |42| <0,8>  ^ 
           MV      .L2     B4,B0             ; [B_L674] |42| <0,9>  ^ 
           NOP             2                 ; [A_L674] 
           NOP             1                 ; [A_L674] 
           SPKERNEL        0,0               ; [] 
;** --------------------------------------------------------------------------*
$C$L3:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
$C$L4:    
           RETNOP          B3,3              ; [] |45| 

           MVK     .L2     1,B5              ; [B_L674] |43| 
||         ADDAD   .D2     B7,1,B4           ; [B_D64P] 

           STW     .D2T2   B5,*B4(0)         ; [B_D64P] |43| 
           ; BRANCH OCCURS {B3}              ; [] |45| 
;** --------------------------------------------------------------------------*
$C$L5:    

           RETNOP          B3,5              ; [] |45| 
||         STW     .D2T1   A3,*+DP(first$1)  ; [B_D64P] |39| 

           ; BRANCH OCCURS {B3}              ; [] |45| 
	.sect	".text:EDMA3_SRC"
	.clink
	.global	EDMA3_SRC

;******************************************************************************
;* FUNCTION NAME: EDMA3_SRC                                                   *
;*                                                                            *
;*   Regs Modified     : A3                                                   *
;*   Regs Used         : A3,A4,B3                                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
EDMA3_SRC:
;** --------------------------------------------------------------------------*
           RETNOP          B3,2              ; [] |56| 
           MVKL    .S1     0x1c04004,A3      ; [A_S674] |55| 
           MVKH    .S1     0x1c04004,A3      ; [A_S674] |55| 
           STW     .D1T1   A4,*A3(0)         ; [A_D64P] |55| 
           ; BRANCH OCCURS {B3}              ; [] |56| 
	.sect	".text:EDMA3_Run"
	.clink
	.global	EDMA3_Run

;******************************************************************************
;* FUNCTION NAME: EDMA3_Run                                                   *
;*                                                                            *
;*   Regs Modified     : A3,A4                                                *
;*   Regs Used         : A3,A4,B3                                             *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
EDMA3_Run:
;** --------------------------------------------------------------------------*
           RETNOP          B3,2              ; [] |51| 
           MVKL    .S1     0x1c01010,A4      ; [A_S674] |50| 

           MVKH    .S1     0x1c01010,A4      ; [A_S674] |50| 
||         MVK     .L1     1,A3              ; [A_L674] |50| 

           STW     .D1T1   A3,*A4(0)         ; [A_D64P] |50| 
           ; BRANCH OCCURS {B3}              ; [] |51| 
	.sect	".text:EDMA3_Init"
	.clink
	.global	EDMA3_Init

;******************************************************************************
;* FUNCTION NAME: EDMA3_Init                                                  *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A16,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,B30,B31                                 *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A16,B0,B1,B2,B3,B4,B5, *
;*                           B6,B7,B8,DP,SP,B30,B31                           *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
EDMA3_Init:
;** --------------------------------------------------------------------------*

           MVK     .S1     32767,A3          ; [A_S674] |12| 
||         ZERO    .L2     B6                ; [B_L674] 
||         MVK     .S2     1,B5              ; [B_Sb674] |8| 
||         MV      .L1     A4,A8             ; [A_L674] |7| 
||         MV      .D1X    B4,A4             ; [A_D64P] |7| 

           SET     .S2     B6,0,15,B6        ; [B_Sb674] 
||         MV      .L1X    B3,A16            ; [A_L674] |7| 

           CMPGTU  .L2X    B4,A3,B0          ; [B_L674] |12| 
   [ B0]   B       .S2     $C$L6             ; [B_Sb674] |12| 
   [!B0]   CALL    .S1     __c6xabi_remu     ; [A_S674] |12| 
           MV      .L1     A3,A9             ; [A_L674] |12| 
           MV      .L1X    B4,A3             ; [A_L674] |7| 
           MV      .L1X    B4,A6             ; [A_L674] |7| 
           MV      .L2     B5,B4             ; [B_L674] |12| 
           ; BRANCHCC OCCURS {$C$L6}         ; [] |12| 
;** --------------------------------------------------------------------------*
           ADDKPC  .S2     $C$RL0,B3,0       ; [B_Sb674] |12| 
$C$RL0:    ; CALL OCCURS {__c6xabi_remu} {0}  ; [] |12| 
;** --------------------------------------------------------------------------*
           MV      .L1     A4,A0             ; [A_L674] |12| 
   [!A0]   BNOP            $C$L8,5           ; [] |12| 
           ; BRANCHCC OCCURS {$C$L8}         ; [] |12| 
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L6
;** --------------------------------------------------------------------------*
$C$L6:    
           CALL    .S1     __c6xabi_divu     ; [A_S674] |14| 
           ADD     .L2     1,B5,B4           ; [B_L674] |14| 
           ADD     .L2     1,B5,B5           ; [B_L674] |14| 
           MV      .L1     A3,A4             ; [A_L674] |14| 
           NOP             1                 ; [A_L674] 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: Loop contains a call
;*      Disqualified loop: Loop contains non-pipelinable instructions
;*----------------------------------------------------------------------------*
$C$L7:    
           ADDKPC  .S2     $C$RL2,B3,0       ; [B_Sb674] |14| 
$C$RL2:    ; CALL OCCURS {__c6xabi_divu} {0}  ; [] |14| 
;** --------------------------------------------------------------------------*

           CMPGTU  .L2     B5,B6,B4          ; [B_L674] |12| 
||         MV      .L1     A4,A6             ; [A_L674] |14| 

           CMPGTU  .L1     A4,A9,A4          ; [A_L674] |12| 
           OR      .L1X    A4,B4,A0          ; [A_L674] 
   [ A0]   B       .S1     $C$L7             ; [A_S674] |12| 
   [ A0]   CALL    .S1     __c6xabi_divu     ; [A_S674] |14| 
   [!A0]   CALL    .S1     __c6xabi_remu     ; [A_S674] |12| 
   [ A0]   ADD     .L2     1,B5,B4           ; [B_L674] |14| 
   [ A0]   MV      .L1     A3,A4             ; [A_L674] |14| 
   [ A0]   ADD     .L2     1,B5,B5           ; [B_L674] |14| 
           ; BRANCHCC OCCURS {$C$L7}         ; [] |12| 
;** --------------------------------------------------------------------------*
           MV      .L2     B5,B4             ; [B_L674] |12| 

           MV      .L1     A3,A4             ; [A_L674] |12| 
||         ADDKPC  .S2     $C$RL4,B3,0       ; [B_Sb674] |12| 

$C$RL4:    ; CALL OCCURS {__c6xabi_remu} {0}  ; [] |12| 
;** --------------------------------------------------------------------------*
           MV      .L1     A4,A0             ; [A_L674] |12| 
   [ A0]   BNOP            $C$L6,5           ; [] |12| 
           ; BRANCHCC OCCURS {$C$L6}         ; [] |12| 
;** --------------------------------------------------------------------------*
$C$L8:    
           MVKL    .S2     0x1c01010,B8      ; [B_Sb674] |17| 
           MVKH    .S2     0x1c01010,B8      ; [B_Sb674] |17| 

           ADDAD   .D2     B8,12,B7          ; [B_D64P] 
||         MVKL    .S1     0x1c04000,A5      ; [A_S674] |20| 
||         ZERO    .L1     A3                ; [A_L674] |17| 

           STW     .D2T1   A3,*B8(0)         ; [B_D64P] |17| 
||         MVKH    .S1     0x1c04000,A5      ; [A_S674] |20| 
||         MVK     .L1     1,A7              ; [A_L674] |18| 

           STW     .D2T1   A7,*B7(0)         ; [B_D64P] |18| 

           STW     .D1T1   A3,*A5(0)         ; [A_D64P] |20| 
||         ADD     .L2X    4,A5,B7           ; [B_L674] 


           ADD     .L2X    8,A5,B7           ; [B_L674] 
||         STW     .D2T1   A8,*B7(0)         ; [B_D64P] |21| 
||         ADD     .L1     10,A5,A3          ; [A_L674] 
||         ADD     .S1     12,A5,A4          ; [A_S674] 
||         MVKL    .S2     0x60004000,B4     ; [B_Sb674] |24| 


           STH     .D1T2   B5,*A3(0)         ; [A_D64P] |23| 
||         STH     .D2T1   A6,*B7(0)         ; [B_D64P] |22| 
||         MVKH    .S2     0x60004000,B4     ; [B_Sb674] |24| 


           ADD     .L2X    6,A4,B4           ; [B_L674] 
||         STW     .D1T2   B4,*A4(0)         ; [A_D64P] |24| 
||         ADD     .L1     4,A4,A3           ; [A_L674] 
||         ZERO    .S2     B7                ; [B_Sb674] |20| 


           STH     .D2T2   B7,*B4(0)         ; [B_D64P] |26| 
||         ADD     .L1     8,A4,A3           ; [A_L674] 
||         STH     .D1T1   A6,*A3(0)         ; [A_D64P] |25| 


           RET     .S2     A16               ; [B_Sb674] |34| 
||         ADD     .L1     10,A4,A3          ; [A_L674] 
||         STH     .D1T2   B6,*A3(0)         ; [A_D64P] |27| 


           ADD     .L1     12,A4,A4          ; [A_L674] 
||         ADD     .S1     14,A4,A3          ; [A_S674] 
||         STH     .D1T2   B7,*A3(0)         ; [A_D64P] |28| 

           STH     .D1T2   B7,*A4(0)         ; [A_D64P] |29| 

           ADD     .L1     2,A3,A3           ; [A_L674] 
||         STH     .D1T2   B7,*A3(0)         ; [A_D64P] |30| 
||         ADD     .L2X    4,A3,B4           ; [B_L674] 
||         MVKL    .S2     0x10050e,B5       ; [B_Sb674] |33| 


           STH     .D2T2   B7,*B4(0)         ; [B_D64P] |32| 
||         STH     .D1T1   A7,*A3(0)         ; [A_D64P] |31| 
||         MVKH    .S2     0x10050e,B5       ; [B_Sb674] |33| 

           STW     .D1T2   B5,*A5(0)         ; [A_D64P] |33| 
           ; BRANCH OCCURS {A16}             ; [] |34| 
;*****************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                             *
;*****************************************************************************
	.global	__c6xabi_remu
	.global	__c6xabi_divu

;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_Long_Precision_Bits(2)
	.battr "TI", Tag_File, 1, Tag_Bitfield_layout(2)
	.battr "TI", Tag_File, 1, Tag_ABI_enum_size(3)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_wchar_t(1)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_alignment(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_align_expected(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PIC(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PID(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_DSBT(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_preserved(0)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)
