;******************************************************************************
;* G3 TMS320C6x C/C++ Codegen                                       PC v8.3.3 *
;* Date/Time created: Mon Mar 25 02:56:29 2019                                *
;******************************************************************************
	.compiler_opts --abi=eabi --array_alignment=8 --c64p_l1d_workaround=off --diag_wrap=off --endian=little --hll_source=on --long_precision_bits=32 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=elf --silicon_version=6740 --symdebug:none 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C674x                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : No Debug Info                                        *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss

	.global	Colors
	.sect	".const:Colors"
	.align	8
	.elfsym	Colors,SYM_SIZE(16)
Colors:
	.bits		0,16
			; Colors[0] @ 0
	.bits		0x1f,16
			; Colors[1] @ 16
	.bits		0x7e0,16
			; Colors[2] @ 32
	.bits		0x7ff,16
			; Colors[3] @ 48
	.bits		0xf800,16
			; Colors[4] @ 64
	.bits		0xf81f,16
			; Colors[5] @ 80
	.bits		0xffe0,16
			; Colors[6] @ 96
	.bits		0xffff,16
			; Colors[7] @ 112

;	C:\CCS6.0.1\ccsv6\tools\compiler\ti-cgt-c6000_8.3.3\bin\opt6x.exe C:\\temp\\{35D79B87-9779-47BE-B28C-E67AC88F16CF} C:\\temp\\{A326E04B-8DBD-42C0-98F0-DF302EF1C9A8} 
	.sect	".text:LCD_Position"
	.clink
	.global	LCD_Position

;******************************************************************************
;* FUNCTION NAME: LCD_Position                                                *
;*                                                                            *
;*   Regs Modified     : A3,A5,A7,B5,B7,B8,B9,B16,B17,B18                     *
;*   Regs Used         : A3,A4,A5,A6,A7,B3,B4,B5,B6,B7,B8,B9,B16,B17,B18      *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
LCD_Position:
;** --------------------------------------------------------------------------*
           MVKL    .S1     0x60004000,A5     ; [A_S674] |251| 

           MVKH    .S1     0x60004000,A5     ; [A_S674] |251| 
||         MVK     .S2     42,B5             ; [B_Sb674] |250| 
||         ZERO    .L2     B16               ; [B_L674] |250| 

           SET     .S2     B16,29,30,B16     ; [B_Sb674] |250| 

           MV      .L2X    A5,B18            ; [B_L674] |251| 
||         STB     .D2T2   B5,*B16(0)        ; [B_D64P] |250| 
||         SHRU    .S1     A4,8,A3           ; [A_S674] |251| 


           STB     .D1T1   A3,*A5(0)         ; [A_D64P] |251| 
||         SHRU    .S2X    A6,8,B5           ; [B_Sb674] |253| 
||         MV      .L1     A5,A7             ; [A_L674] |251| 

           MVK     .S2     43,B5             ; [B_Sb674] |257| 
||         STB     .D2T2   B5,*B18(0)        ; [B_D64P] |253| 
||         STB     .D1T1   A4,*A7(0)         ; [A_D64P] |252| 
||         MV      .L1     A5,A3             ; [A_L674] |251| 
||         MV      .L2     B16,B7            ; [B_L674] |257| 


           SHRU    .S2     B4,8,B5           ; [B_Sb674] |258| 
||         STB     .D2T2   B5,*B7(0)         ; [B_D64P] |257| 
||         STB     .D1T1   A6,*A3(0)         ; [A_D64P] |254| 

           RET     .S2     B3                ; [B_Sb674] |265| 

           STB     .D1T2   B5,*A5(0)         ; [A_D64P] |258| 
||         MV      .L2X    A5,B17            ; [B_L674] |251| 

           STB     .D2T2   B4,*B17(0)        ; [B_D64P] |259| 
||         SHRU    .S1X    B6,8,A3           ; [A_S674] |260| 
||         MV      .L2X    A5,B9             ; [B_L674] |251| 

           STB     .D2T1   A3,*B9(0)         ; [B_D64P] |260| 
||         MV      .L2X    A5,B8             ; [B_L674] |251| 


           STB     .D2T2   B6,*B8(0)         ; [B_D64P] |261| 
||         MVK     .S1     44,A3             ; [A_S674] |264| 

           STB     .D2T1   A3,*B16(0)        ; [B_D64P] |264| 
           ; BRANCH OCCURS {B3}              ; [] |265| 
	.sect	".text:LCD_Test"
	.clink
	.global	LCD_Test

;******************************************************************************
;* FUNCTION NAME: LCD_Test                                                    *
;*                                                                            *
;*   Regs Modified     : A0,A3,A4,A5,A6,A7,A8,B0,B4,B5,B6,B7,B8,B9,B16        *
;*   Regs Used         : A0,A3,A4,A5,A6,A7,A8,B0,B3,B4,B5,B6,B7,B8,B9,B16     *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
LCD_Test:
;** --------------------------------------------------------------------------*
           MVKL    .S2     0x60004000,B5     ; [B_Sb674] |251| 

           MVKH    .S2     0x60004000,B5     ; [B_Sb674] |251| 
||         MVK     .S1     42,A4             ; [A_S674] |250| 
||         ZERO    .L2     B4                ; [B_L674] |250| 

           SET     .S2     B4,29,30,B4       ; [B_Sb674] |250| 
||         MVKL    .S1     Colors,A3         ; [A_S674] 

           STB     .D2T1   A4,*B4(0)         ; [B_D64P] |250| 
||         MV      .L1X    B5,A6             ; [A_L674] |252| 
||         MVKH    .S1     Colors,A3         ; [A_S674] 
||         ZERO    .D1     A5                ; [A_D64P] |251| 
||         ZERO    .L2     B6                ; [B_L674] |251| 


           STB     .D1T2   B6,*A6(0)         ; [A_D64P] |252| 
||         STB     .D2T1   A5,*B5(0)         ; [B_D64P] |251| 
||         SUB     .L1     A3,2,A4           ; [A_L674] 


           LDHU    .D1T1   *++A4(2),A3       ; [A_D64P] 
||         MVK     .L2     1,B8              ; [B_L674] |253| 


           STB     .D2T2   B8,*B5(0)         ; [B_D64P] |253| 
||         MV      .L1X    B5,A5             ; [A_L674] |252| 
||         MVK     .S1     143,A7            ; [A_S674] |254| 
||         MVK     .S2     43,B7             ; [B_Sb674] |257| 

           STB     .D2T2   B7,*B4(0)         ; [B_D64P] |257| 
||         STB     .D1T1   A7,*A5(0)         ; [A_D64P] |254| 
||         MV      .L2     B5,B16            ; [B_L674] |252| 

           STB     .D2T2   B6,*B16(0)        ; [B_D64P] |258| 
||         MVK     .S1     44,A6             ; [A_S674] |264| 
||         MV      .L2     B5,B9             ; [B_L674] |252| 

           STB     .D2T2   B6,*B9(0)         ; [B_D64P] |259| 
||         MV      .L1X    B5,A7             ; [A_L674] |252| 
||         MVK     .S1     239,A5            ; [A_S674] |261| 

           SHL     .S1     A3,8,A7           ; [A_S674] 
||         STB     .D1T2   B6,*A7(0)         ; [A_D64P] |260| 
||         MV      .L2     B5,B7             ; [B_L674] |252| 


           MVK     .S1     12000,A5          ; [A_S674] 
||         STB     .D2T1   A5,*B7(0)         ; [B_D64P] |261| 
||         SHRU    .S2X    A3,8,B4           ; [B_Sb674] 
||         MV      .L1X    B4,A8             ; [A_L674] |257| 
||         MVK     .L2     8,B0              ; [B_L674] |294| 


           STB     .D1T1   A6,*A8(0)         ; [A_D64P] |264| 
||         SUB     .L1     A5,4,A0           ; [A_L674] 
||         MV      .L2     B7,B4             ; [B_L674] 
||         OR      .S2X    A7,B4,B6          ; [B_Sb674] 
||         MV      .D2     B7,B5             ; [B_D64P] 

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../S6D04D1X21.c
;*      Loop source line                 : 297
;*      Loop opening brace source line   : 297
;*      Loop closing brace source line   : 297
;*      Loop Unroll Multiple             : 2x
;*      Known Minimum Trip Count         : 6000                    
;*      Known Maximum Trip Count         : 6000                    
;*      Known Max Trip Count Factor      : 6000
;*      Loop Carried Dependency Bound(^) : 2
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     1        0     
;*      .D units                     0        2*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          1        0     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        0     
;*      Bound(.L .S .D .LS .LSD)     1        1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 6  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop is interruptible
;*      Epilog not removed
;*      Collapsed epilog stages       : 0
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 2 (after unrolling)
;*----------------------------------------------------------------------------*
$C$L1:    ; PIPED LOOP PROLOG
;** --------------------------------------------------------------------------*
$C$L2:    ; PIPED LOOP KERNEL
   [ A0]   BNOP            $C$L2,3           ; [] |297| <0,1> 
           STH     .D2T2   B6,*B5(0)         ; [B_D64P] |297| <0,5>  ^ 

           STH     .D2T2   B6,*B4(0)         ; [B_D64P] |297| <0,6>  ^ 
|| [ A0]   SUB     .L1     A0,2,A0           ; [A_L674] |297| <1,0> 

;** --------------------------------------------------------------------------*
$C$L3:    ; PIPED LOOP EPILOG AND PROLOG

           SUB     .L1     A5,4,A0           ; [A_L674] 
||         STH     .D2T2   B6,*B5(0)         ; [B_D64P] |297| (E) <1,5>  ^ 
||         SUB     .L2     B0,1,B0           ; [B_L674] |294| 


           STH     .D2T2   B6,*B4(0)         ; [B_D64P] |297| (E) <1,6>  ^ 
|| [ B0]   LDHU    .D1T1   *++A4(2),A3       ; [A_D64P] 

           NOP             1                 ; [A_L674] 
   [ B0]   BNOP            $C$L2,2           ; [] |294| branch to kernel

           SHRU    .S2X    A3,8,B6           ; [B_Sb674] 
||         SHL     .S1     A3,8,A6           ; [A_S674] 

           NOP             1                 ; [A_L674] 
           OR      .L2X    A6,B6,B6          ; [B_L674] 
;** --------------------------------------------------------------------------*
           RETNOP          B3,5              ; [] |299| 
           ; BRANCH OCCURS {B3}              ; [] |299| 
	.sect	".text:Delay"
	.clink
	.global	Delay

;******************************************************************************
;* FUNCTION NAME: Delay                                                       *
;*                                                                            *
;*   Regs Modified     : B0,B4,B5,B6,B7,B8,SP                                 *
;*   Regs Used         : A4,B0,B3,B4,B5,B6,B7,B8,SP                           *
;*   Local Frame Size  : 0 Args + 8 Auto + 0 Save = 8 byte                    *
;******************************************************************************
Delay:
;** --------------------------------------------------------------------------*
           SUB     .L2     SP,8,SP           ; [B_L674] |4| 
           STW     .D2T1   A4,*SP(4)         ; [B_D64P] |4| 
           LDW     .D2T2   *SP(4),B0         ; [B_D64P] |6| 
           ZERO    .L2     B4                ; [B_L674] |8| 
           MVK     .S2     32767,B7          ; [B_Sb674] 
           MVK     .L2     -1,B8             ; [B_L674] 
           ADD     .L2     7,B7,B7           ; [B_L674] 

   [ B0]   STW     .D2T2   B4,*SP(8)         ; [B_D64P] |8| 
|| [!B0]   B       .S1     $C$L9             ; [A_S674] |6| 

   [ B0]   LDW     .D2T2   *SP(8),B4         ; [B_D64P] |8| 
   [ B0]   ADD     .L2     1,B7,B6           ; [B_L674] 
           NOP             3                 ; [A_L674] 
           ; BRANCHCC OCCURS {$C$L9}         ; [] |6| 
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L4
;** --------------------------------------------------------------------------*
$C$L4:    
           CMPGTU  .L2     B4,B7,B0          ; [B_L674] |8| 

   [ B0]   BNOP            $C$L8,5           ; [] |8| 
|| [!B0]   MVK     .L2     1,B0              ; [B_L674] 

           ; BRANCHCC OCCURS {$C$L8}         ; [] |8| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../S6D04D1X21.c
;*      Loop source line                 : 8
;*      Loop opening brace source line   : 8
;*      Loop closing brace source line   : 8
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 8
;*      Unpartitioned Resource Bound     : 3
;*      Partitioned Resource Bound(*)    : 3
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        1     
;*      .S units                     0        0     
;*      .D units                     0        3*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        2     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        1     
;*      Bound(.L .S .D .LS .LSD)     0        2     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 8  Unsafe schedule for irregular loop
;*         ii = 8  Unsafe schedule for irregular loop
;*         ii = 8  Unsafe schedule for irregular loop
;*         ii = 8  Did not find schedule
;*         ii = 9  Unsafe schedule for irregular loop
;*         ii = 9  Unsafe schedule for irregular loop
;*         ii = 9  Unsafe schedule for irregular loop
;*         ii = 9  Did not find schedule
;*         ii = 10 Unsafe schedule for irregular loop
;*         ii = 10 Unsafe schedule for irregular loop
;*         ii = 10 Unsafe schedule for irregular loop
;*         ii = 10 Did not find schedule
;*         ii = 11 Unsafe schedule for irregular loop
;*         ii = 11 Unsafe schedule for irregular loop
;*         ii = 11 Unsafe schedule for irregular loop
;*         ii = 11 Did not find schedule
;*         ii = 12 Unsafe schedule for irregular loop
;*         ii = 12 Unsafe schedule for irregular loop
;*         ii = 12 Unsafe schedule for irregular loop
;*         ii = 12 Did not find schedule
;*         ii = 13 Unsafe schedule for irregular loop
;*         ii = 13 Unsafe schedule for irregular loop
;*         ii = 13 Unsafe schedule for irregular loop
;*         ii = 13 Did not find schedule
;*         ii = 14 Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 1
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L5:    ; PIPED LOOP PROLOG
   [ B0]   SPLOOPW         14                ;28 ; [A_L674] (P) 
;** --------------------------------------------------------------------------*
$C$L6:    ; PIPED LOOP KERNEL
           NOP             9                 ; [A_L674] 
           NOP             1                 ; [A_L674] 
   [ B0]   LDW     .D2T2   *SP(8),B5         ; [B_D64P] |8| (P) <0,10>  ^ 
           NOP             4                 ; [A_L674] 
           ADD     .L2     1,B5,B4           ; [B_L674] |8| <0,15>  ^ 
           STW     .D2T2   B4,*SP(8)         ; [B_D64P] |8| <0,16>  ^ 
           LDW     .D2T2   *SP(8),B4         ; [B_D64P] |8| <0,17>  ^ 
           NOP             4                 ; [A_L674] 
           CMPLTU  .L2     B4,B6,B4          ; [B_L674] |8| <0,22> 
           MV      .L2     B4,B0             ; [B_L674] |8| <0,23> 
           NOP             2                 ; [A_L674] 
           NOP             1                 ; [A_L674] 
           SPKERNEL        0,0               ; [] 
;** --------------------------------------------------------------------------*
$C$L7:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
$C$L8:    
           LDW     .D2T2   *SP(4),B4         ; [B_D64P] |9| 
           NOP             4                 ; [A_L674] 
           ADD     .L2     B8,B4,B4          ; [B_L674] |9| 
           STW     .D2T2   B4,*SP(4)         ; [B_D64P] |9| 
           LDW     .D2T2   *SP(4),B0         ; [B_D64P] |6| 
           ZERO    .L2     B4                ; [B_L674] |8| 
           NOP             3                 ; [A_L674] 

   [ B0]   STW     .D2T2   B4,*SP(8)         ; [B_D64P] |8| 
|| [ B0]   B       .S1     $C$L4             ; [A_S674] |6| 

   [ B0]   LDW     .D2T2   *SP(8),B4         ; [B_D64P] |8| 
           NOP             4                 ; [A_L674] 
           ; BRANCHCC OCCURS {$C$L4}         ; [] |6| 
;** --------------------------------------------------------------------------*
$C$L9:    
           RETNOP          B3,4              ; [] |11| 
           ADD     .L2     8,SP,SP           ; [B_L674] |11| 
           ; BRANCH OCCURS {B3}              ; [] |11| 
	.sect	".text:LCD_Reset"
	.clink
	.global	LCD_Reset

;******************************************************************************
;* FUNCTION NAME: LCD_Reset                                                   *
;*                                                                            *
;*   Regs Modified     : A0,A3,A4,A5,B0,B3,B4,B5,B6,B7,B8,B30,B31             *
;*   Regs Used         : A0,A3,A4,A5,B0,B3,B4,B5,B6,B7,B8,SP,B30,B31          *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
LCD_Reset:
;** --------------------------------------------------------------------------*
           MVKL    .S2     0x1e26038,B4      ; [B_Sb674] |15| 
           MVKL    .S2     0xfffeffff,B5     ; [B_Sb674] |15| 
           MVKH    .S2     0x1e26038,B4      ; [B_Sb674] |15| 

           MVKH    .S2     0xfffeffff,B5     ; [B_Sb674] |15| 
||         MVK     .S1     8,A3              ; [A_S674] 
||         ZERO    .L1     A5                ; [A_L674] |17| 

           ADD     .L1X    A3,B4,A3          ; [A_L674] 
||         STW     .D2T2   B5,*B4(0)         ; [B_D64P] |15| 
||         SET     .S1     A5,16,16,A5       ; [A_S674] |17| 


           STW     .D1T1   A5,*A3(0)         ; [A_D64P] |17| 
||         MV      .L1X    B3,A0             ; [A_L674] |14| 
||         CALLP   .S2     Delay,B3          ; [B_Sb674] |18| 
||         MVK     .S1     10,A4             ; [A_S674] |18| 

$C$RL0:    ; CALLP OCCURS {Delay} {0}        ; [] |18| 
           ADD     .L1     4,A3,A4           ; [A_L674] 

           STW     .D1T1   A5,*A4(0)         ; [A_D64P] |20| 
||         CALLP   .S2     Delay,B3          ; [B_Sb674] |21| 
||         MVK     .S1     100,A4            ; [A_S674] |21| 

$C$RL2:    ; CALLP OCCURS {Delay} {0}        ; [] |21| 

           STW     .D1T1   A5,*A3(0)         ; [A_D64P] |23| 
||         CALLP   .S2     Delay,B3          ; [B_Sb674] |24| 
||         MVK     .L1     10,A4             ; [A_L674] |24| 

$C$RL4:    ; CALLP OCCURS {Delay} {0}        ; [] |24| 
           RETNOP          A0,5              ; [] |25| 
           ; BRANCH OCCURS {A0}              ; [] |25| 
	.sect	".text:LCD_Init"
	.clink
	.global	LCD_Init

;******************************************************************************
;* FUNCTION NAME: LCD_Init                                                    *
;*                                                                            *
;*   Regs Modified     : A0,A3,A4,A5,A6,A7,A8,A9,A16,A17,A18,A19,A20,A21,A22, *
;*                           A23,A24,A25,A26,A27,B0,B3,B4,B5,B6,B7,B8,B9,B16, *
;*                           B17,B18,B19,B20,B21,B22,B23,B24,B25,B26,B30,B31  *
;*   Regs Used         : A0,A3,A4,A5,A6,A7,A8,A9,A16,A17,A18,A19,A20,A21,A22, *
;*                           A23,A24,A25,A26,A27,B0,B3,B4,B5,B6,B7,B8,B9,SP,  *
;*                           B16,B17,B18,B19,B20,B21,B22,B23,B24,B25,B26,B30, *
;*                           B31                                              *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
LCD_Init:
;** --------------------------------------------------------------------------*

           MVK     .S1     224,A4            ; [A_S674] |29| 
||         ZERO    .L1     A3                ; [A_L674] |29| 

           SET     .S1     A3,29,30,A3       ; [A_S674] |29| 
||         MVKL    .S2     0x60004000,B19    ; [B_Sb674] |30| 

           STB     .D1T1   A4,*A3(0)         ; [A_D64P] |29| 
||         MVKH    .S2     0x60004000,B19    ; [B_Sb674] |30| 
||         MVK     .L1     1,A9              ; [A_L674] |30| 


           STB     .D2T1   A9,*B19(0)        ; [B_D64P] |30| 
||         MV      .L2X    A3,B4             ; [B_L674] |32| 
||         MVK     .S1     243,A16           ; [A_S674] |32| 


           STB     .D2T1   A16,*B4(0)        ; [B_D64P] |32| 
||         MV      .L1X    B19,A7            ; [A_L674] |33| 
||         ZERO    .S1     A8                ; [A_S674] |33| 

           MVK     .S1     241,A7            ; [A_S674] |35| 
||         STB     .D1T1   A8,*A7(0)         ; [A_D64P] |33| 
||         MV      .L2X    A3,B4             ; [B_L674] |32| 


           MVK     .S1     90,A7             ; [A_S674] |36| 
||         STB     .D2T1   A7,*B4(0)         ; [B_D64P] |35| 
||         MV      .L2     B19,B5            ; [B_L674] |33| 
||         MVK     .S2     255,B17           ; [B_Sb674] |38| 

           STB     .D1T2   B17,*A3(0)        ; [A_D64P] |38| 
||         STB     .D2T1   A7,*B5(0)         ; [B_D64P] |36| 
||         MV      .L1X    B19,A6            ; [A_L674] |33| 
||         ZERO    .L2     B16               ; [B_L674] |33| 

           STB     .D1T2   B16,*A6(0)        ; [A_D64P] |39| 
||         MV      .L2     B19,B6            ; [B_L674] |33| 

           STB     .D2T2   B16,*B6(0)        ; [B_D64P] |40| 
||         MV      .L1X    B19,A5            ; [A_L674] |33| 

           STB     .D1T2   B16,*A5(0)        ; [A_D64P] |41| 
||         MV      .L1X    B19,A4            ; [A_L674] |33| 
||         MVK     .S1     64,A17            ; [A_S674] |42| 


           CALLP   .S2     Delay,B3          ; [B_Sb674] |43| 
||         MVK     .L1     10,A4             ; [A_L674] |43| 
||         STB     .D1T1   A17,*A4(0)        ; [A_D64P] |42| 
||         MV      .S1X    B3,A0             ; [A_S674] |28| 

$C$RL6:    ; CALLP OCCURS {Delay} {0}        ; [] |43| 
           MV      .L1     A3,A4             ; [A_L674] |32| 

           STB     .D1T2   B17,*A4(0)        ; [A_D64P] |45| 
||         MV      .L2     B19,B7            ; [B_L674] |33| 

           STB     .D2T2   B16,*B7(0)        ; [B_D64P] |46| 
||         MV      .L2     B19,B6            ; [B_L674] |33| 

           STB     .D2T2   B16,*B6(0)        ; [B_D64P] |47| 
||         MV      .L2     B19,B5            ; [B_L674] |33| 

           STB     .D2T2   B16,*B5(0)        ; [B_D64P] |48| 
||         MVK     .S1     120,A4            ; [A_S674] |49| 
||         MV      .L2     B19,B4            ; [B_L674] |33| 
||         MVK     .S2     17,B18            ; [B_Sb674] |51| 


           CALLP   .S2     Delay,B3          ; [B_Sb674] |52| 
||         STB     .D1T2   B18,*A3(0)        ; [A_D64P] |51| 
||         MVK     .S1     100,A4            ; [A_S674] |52| 
||         STB     .D2T1   A4,*B4(0)         ; [B_D64P] |49| 

$C$RL8:    ; CALLP OCCURS {Delay} {0}        ; [] |52| 

           MV      .L1X    B19,A4            ; [A_L674] |33| 
||         MV      .L2X    A3,B8             ; [B_L674] |32| 
||         MVK     .S1     253,A19           ; [A_S674] |54| 
||         MVK     .S2     2,B9              ; [B_Sb674] |55| 


           STB     .D1T2   B9,*A4(0)         ; [A_D64P] |55| 
||         MVK     .S2     242,B8            ; [B_Sb674] |58| 
||         STB     .D2T1   A19,*B8(0)        ; [B_D64P] |54| 
||         MV      .L2     B19,B7            ; [B_L674] |33| 

           STB     .D1T2   B8,*A3(0)         ; [A_D64P] |58| 
||         STB     .D2T1   A9,*B7(0)         ; [B_D64P] |56| 
||         MV      .L2     B19,B4            ; [B_L674] |33| 
||         MVK     .S1     16,A8             ; [A_S674] |59| 

           STB     .D2T1   A8,*B4(0)         ; [B_D64P] |59| 
||         MV      .L2     B19,B6            ; [B_L674] |33| 

           STB     .D2T1   A8,*B6(0)         ; [B_D64P] |60| 
||         MV      .L2     B19,B5            ; [B_L674] |33| 

           STB     .D2T1   A9,*B5(0)         ; [B_D64P] |61| 
||         MV      .L1X    B19,A4            ; [A_L674] |33| 
||         MVK     .S1     8,A18             ; [A_S674] |62| 

           STB     .D1T1   A18,*A4(0)        ; [A_D64P] |62| 
||         MV      .L2     B19,B5            ; [B_L674] |33| 

           STB     .D2T1   A18,*B5(0)        ; [B_D64P] |63| 
||         MV      .L2     B19,B4            ; [B_L674] |33| 

           STB     .D2T1   A18,*B4(0)        ; [B_D64P] |64| 
||         MV      .L1X    B19,A7            ; [A_L674] |33| 

           STB     .D1T1   A18,*A7(0)        ; [A_D64P] |65| 
||         MV      .L1X    B19,A6            ; [A_L674] |33| 

           STB     .D1T2   B16,*A6(0)        ; [A_D64P] |66| 
||         MV      .L1X    B19,A5            ; [A_L674] |33| 

           STB     .D1T2   B16,*A5(0)        ; [A_D64P] |67| 
||         MVK     .S2     26,B4             ; [B_Sb674] |68| 
||         MV      .L1X    B19,A4            ; [A_L674] |33| 

           STB     .D1T2   B4,*A4(0)         ; [A_D64P] |68| 
||         MV      .L2     B19,B6            ; [B_L674] |33| 

           STB     .D2T2   B4,*B6(0)         ; [B_D64P] |69| 

           STB     .D1T1   A16,*A3(0)        ; [A_D64P] |71| 
||         MV      .L1X    B19,A6            ; [A_L674] |33| 
||         MV      .L2     B19,B5            ; [B_L674] |33| 

           STB     .D1T2   B16,*A6(0)        ; [A_D64P] |73| 
||         STB     .D2T1   A9,*B5(0)         ; [B_D64P] |72| 
||         MV      .L1X    B19,A5            ; [A_L674] |33| 

           STB     .D1T2   B16,*A5(0)        ; [A_D64P] |74| 
||         MVK     .L2     12,B4             ; [B_L674] |75| 
||         MV      .L1X    B19,A4            ; [A_L674] |33| 

           MVK     .S2     117,B4            ; [B_Sb674] |77| 
||         STB     .D1T2   B4,*A4(0)         ; [A_D64P] |75| 
||         MV      .L1X    B19,A7            ; [A_L674] |33| 
||         MV      .L2     B19,B7            ; [B_L674] |33| 
||         MVK     .S1     3,A20             ; [A_S674] |76| 

           STB     .D1T2   B4,*A7(0)         ; [A_D64P] |77| 
||         STB     .D2T1   A20,*B7(0)        ; [B_D64P] |76| 
||         MV      .L2     B19,B5            ; [B_L674] |33| 

           MVK     .S2     48,B4             ; [B_Sb674] |79| 
||         STB     .D2T2   B4,*B5(0)         ; [B_D64P] |78| 
||         MV      .L1X    B19,A4            ; [A_L674] |33| 


           MVK     .S2     244,B4            ; [B_Sb674] |81| 
||         STB     .D1T2   B4,*A4(0)         ; [A_D64P] |79| 


           MVK     .S2     89,B4             ; [B_Sb674] |82| 
||         STB     .D1T2   B4,*A3(0)         ; [A_D64P] |81| 
||         MV      .L1X    B19,A6            ; [A_L674] |33| 

           STB     .D1T2   B4,*A6(0)         ; [A_D64P] |82| 
||         MV      .L2     B19,B6            ; [B_L674] |33| 

           MVK     .S2     82,B4             ; [B_Sb674] |84| 
||         STB     .D2T2   B4,*B6(0)         ; [B_D64P] |83| 
||         MV      .L1X    B19,A5            ; [A_L674] |33| 

           STB     .D1T2   B4,*A5(0)         ; [A_D64P] |84| 
||         MV      .L2     B19,B5            ; [B_L674] |33| 

           STB     .D2T2   B4,*B5(0)         ; [B_D64P] |85| 
||         MV      .L1X    B19,A4            ; [A_L674] |33| 


           STB     .D1T2   B18,*A4(0)        ; [A_D64P] |86| 
||         MVK     .S2     245,B8            ; [B_Sb674] |88| 


           STB     .D1T2   B8,*A3(0)         ; [A_D64P] |88| 
||         MVK     .S1     18,A4             ; [A_S674] |89| 
||         MV      .L2     B19,B4            ; [B_L674] |33| 

           STB     .D2T1   A4,*B4(0)         ; [B_D64P] |89| 
||         MV      .L2     B19,B7            ; [B_L674] |33| 

           STB     .D2T2   B16,*B7(0)        ; [B_D64P] |90| 
||         MVK     .L1     11,A4             ; [A_L674] |91| 
||         MV      .L2     B19,B6            ; [B_L674] |33| 

           MVK     .S1     240,A4            ; [A_S674] |92| 
||         STB     .D2T1   A4,*B6(0)         ; [B_D64P] |91| 
||         MV      .L2     B19,B5            ; [B_L674] |33| 

           STB     .D2T1   A4,*B5(0)         ; [B_D64P] |92| 

           CALLP   .S2     Delay,B3          ; [B_Sb674] |94| 
||         STB     .D2T2   B16,*B19(0)       ; [B_D64P] |93| 
||         MVK     .S1     30,A4             ; [A_S674] |94| 

$C$RL10:   ; CALLP OCCURS {Delay} {0}        ; [] |94| 
           STB     .D1T1   A16,*A3(0)        ; [A_D64P] |96| 

           CALLP   .S2     Delay,B3          ; [B_Sb674] |98| 
||         STB     .D2T1   A20,*B19(0)       ; [B_D64P] |97| 

$C$RL12:   ; CALLP OCCURS {Delay} {0}        ; [] |98| 

           MV      .L1X    B19,A4            ; [A_L674] |33| 
||         STB     .D1T2   B17,*A3(0)        ; [A_D64P] |100| 

           STB     .D1T2   B16,*A4(0)        ; [A_D64P] |101| 
||         MV      .L2     B19,B4            ; [B_L674] |33| 

           STB     .D2T2   B16,*B4(0)        ; [B_D64P] |102| 

           STB     .D2T2   B16,*B19(0)       ; [B_D64P] |103| 
||         MV      .L1X    B19,A5            ; [A_L674] |33| 


           CALLP   .S2     Delay,B3          ; [B_Sb674] |105| 
||         STB     .D1T1   A17,*A5(0)        ; [A_D64P] |104| 
||         MVK     .S1     30,A4             ; [A_S674] |105| 

$C$RL14:   ; CALLP OCCURS {Delay} {0}        ; [] |105| 
           MV      .L2X    A3,B4             ; [B_L674] |32| 

           STB     .D2T1   A16,*B4(0)        ; [B_D64P] |107| 
||         MVK     .L1     7,A21             ; [A_L674] |108| 


           CALLP   .S2     Delay,B3          ; [B_Sb674] |109| 
||         STB     .D2T1   A21,*B19(0)       ; [B_D64P] |108| 

$C$RL16:   ; CALLP OCCURS {Delay} {0}        ; [] |109| 

           MV      .L1X    B19,A4            ; [A_L674] |33| 
||         MV      .L2X    A3,B4             ; [B_L674] |32| 
||         MVK     .S2     31,B5             ; [B_Sb674] |112| 


           CALLP   .S2     Delay,B3          ; [B_Sb674] |113| 
||         MVK     .S1     50,A4             ; [A_S674] |113| 
||         STB     .D1T2   B5,*A4(0)         ; [A_D64P] |112| 
||         STB     .D2T1   A16,*B4(0)        ; [B_D64P] |111| 

$C$RL18:   ; CALLP OCCURS {Delay} {0}        ; [] |113| 

           MV      .L1X    B19,A4            ; [A_L674] |33| 
||         MV      .L2X    A3,B4             ; [B_L674] |32| 
||         MVK     .S2     63,B5             ; [B_Sb674] |116| 


           CALLP   .S2     Delay,B3          ; [B_Sb674] |117| 
||         MVK     .S1     30,A4             ; [A_S674] |117| 
||         STB     .D1T2   B5,*A4(0)         ; [A_D64P] |116| 
||         STB     .D2T1   A16,*B4(0)        ; [B_D64P] |115| 

$C$RL20:   ; CALLP OCCURS {Delay} {0}        ; [] |117| 
           MV      .L1     A3,A4             ; [A_L674] |32| 

           STB     .D2T2   B17,*B19(0)       ; [B_D64P] |120| 
||         MVK     .S1     246,A4            ; [A_S674] |122| 
||         STB     .D1T1   A16,*A4(0)        ; [A_D64P] |119| 
||         MV      .L2     B19,B4            ; [B_L674] |33| 

           STB     .D2T2   B16,*B4(0)        ; [B_D64P] |123| 
||         STB     .D1T1   A4,*A3(0)         ; [A_D64P] |122| 
||         MV      .L2     B19,B5            ; [B_L674] |33| 
||         MVK     .S2     24,B7             ; [B_Sb674] |125| 
||         MV      .L1X    B19,A5            ; [A_L674] |33| 


           STB     .D1T2   B7,*A5(0)         ; [A_D64P] |125| 
||         STB     .D2T1   A18,*B5(0)        ; [B_D64P] |124| 


           STB     .D2T2   B16,*B19(0)       ; [B_D64P] |126| 
||         MVK     .S1     247,A5            ; [A_S674] |128| 
||         MV      .L1     A3,A6             ; [A_L674] |32| 


           STB     .D1T1   A5,*A6(0)         ; [A_D64P] |128| 
||         MV      .L2     B19,B6            ; [B_L674] |33| 
||         MV      .L1X    B19,A7            ; [A_L674] |33| 
||         MVK     .S1     13,A25            ; [A_S674] |129| 

           STB     .D1T2   B16,*A7(0)        ; [A_D64P] |130| 
||         STB     .D2T1   A25,*B6(0)        ; [B_D64P] |129| 
||         MV      .L2     B19,B4            ; [B_L674] |33| 
||         MV      .L1X    B19,A4            ; [A_L674] |33| 
||         MVK     .S2     14,B21            ; [B_Sb674] |132| 

           STB     .D1T2   B21,*A4(0)        ; [A_D64P] |132| 
||         STB     .D2T1   A20,*B4(0)        ; [B_D64P] |131| 
||         MV      .L1X    B19,A7            ; [A_L674] |33| 
||         MV      .L2     B19,B8            ; [B_L674] |33| 
||         MVK     .S1     29,A27            ; [A_S674] |133| 
||         MVK     .S2     38,B24            ; [B_Sb674] |134| 

           STB     .D1T2   B24,*A7(0)        ; [A_D64P] |134| 
||         STB     .D2T1   A27,*B8(0)        ; [B_D64P] |133| 
||         MV      .L2     B19,B7            ; [B_L674] |33| 
||         MV      .L1X    B19,A16           ; [A_L674] |33| 
||         MVK     .S1     43,A26            ; [A_S674] |135| 
||         MVK     .S2     50,B22            ; [B_Sb674] |136| 

           STB     .D1T2   B22,*A16(0)       ; [A_D64P] |136| 
||         STB     .D2T1   A26,*B7(0)        ; [B_D64P] |135| 
||         MV      .L2     B19,B6            ; [B_L674] |33| 
||         MV      .L1X    B19,A6            ; [A_L674] |33| 
||         MVK     .S2     19,B23            ; [B_Sb674] |138| 

           STB     .D1T2   B23,*A6(0)        ; [A_D64P] |138| 
||         STB     .D2T1   A8,*B6(0)         ; [B_D64P] |137| 
||         MV      .L2     B19,B4            ; [B_L674] |33| 
||         MV      .L1X    B19,A5            ; [A_L674] |33| 
||         MVK     .S1     41,A24            ; [A_S674] |139| 
||         MVK     .S2     35,B20            ; [B_Sb674] |140| 

           STB     .D1T2   B20,*A5(0)        ; [A_D64P] |140| 
||         STB     .D2T1   A24,*B4(0)        ; [B_D64P] |139| 
||         MV      .L1X    B19,A4            ; [A_L674] |33| 
||         MVK     .S2     34,B25            ; [B_Sb674] |142| 

           STB     .D1T2   B25,*A4(0)        ; [A_D64P] |142| 
||         STB     .D2T1   A18,*B19(0)       ; [B_D64P] |141| 
||         MV      .L2     B19,B5            ; [B_L674] |33| 


           STB     .D2T2   B25,*B5(0)        ; [B_D64P] |143| 
||         MVK     .S1     248,A4            ; [A_S674] |145| 

           STB     .D1T1   A4,*A3(0)         ; [A_D64P] |145| 
;** --------------------------------------------------------------------------*

           MV      .L2     B5,B7             ; [B_L674] 
||         MV      .L1X    B5,A7             ; [A_L674] 


           STB     .D2T1   A25,*B7(0)        ; [B_D64P] |146| 
||         STB     .D1T2   B16,*A7(0)        ; [A_D64P] |147| 
||         MV      .L1X    B5,A6             ; [A_L674] 
||         MV      .L2     B5,B6             ; [B_L674] 


           STB     .D2T1   A20,*B6(0)        ; [B_D64P] |148| 
||         STB     .D1T2   B21,*A6(0)        ; [A_D64P] |149| 
||         MV      .L1X    B5,A5             ; [A_L674] 
||         MV      .L2     B5,B4             ; [B_L674] 


           STB     .D2T1   A27,*B4(0)        ; [B_D64P] |150| 
||         STB     .D1T2   B24,*A5(0)        ; [A_D64P] |151| 
||         MV      .L1X    B5,A4             ; [A_L674] 


           STB     .D2T1   A26,*B5(0)        ; [B_D64P] |152| 
||         STB     .D1T2   B22,*A4(0)        ; [A_D64P] |153| 
||         MV      .L1X    B5,A5             ; [A_L674] 
||         MV      .L2     B5,B8             ; [B_L674] 


           STB     .D2T1   A8,*B8(0)         ; [B_D64P] |154| 
||         STB     .D1T2   B23,*A5(0)        ; [A_D64P] |155| 
||         MV      .L1X    B5,A6             ; [A_L674] 
||         MV      .L2     B5,B7             ; [B_L674] 


           STB     .D2T1   A24,*B7(0)        ; [B_D64P] |156| 
||         STB     .D1T2   B20,*A6(0)        ; [A_D64P] |157| 
||         MV      .L1X    B5,A4             ; [A_L674] 
||         MV      .L2     B5,B6             ; [B_L674] 


           STB     .D2T1   A18,*B6(0)        ; [B_D64P] |158| 
||         STB     .D1T2   B25,*A4(0)        ; [A_D64P] |159| 
||         MV      .L2     B5,B4             ; [B_L674] 


           STB     .D2T2   B25,*B4(0)        ; [B_D64P] |160| 
||         MVK     .S1     249,A4            ; [A_S674] |162| 


           STB     .D1T1   A4,*A3(0)         ; [A_D64P] |162| 
||         MVK     .S1     30,A4             ; [A_S674] |163| 
||         MV      .L1X    B5,A7             ; [A_L674] 


           STB     .D2T1   A4,*B5(0)         ; [B_D64P] |163| 
||         STB     .D1T2   B16,*A7(0)        ; [A_D64P] |164| 
||         MVK     .L2     10,B4             ; [B_L674] |165| 
||         MV      .S2     B5,B9             ; [B_Sb674] 


           STB     .D2T2   B4,*B9(0)         ; [B_D64P] |165| 
||         MVK     .S1     25,A4             ; [A_S674] |166| 
||         MV      .L1X    B5,A5             ; [A_L674] 
||         MV      .L2     B5,B8             ; [B_L674] 


           STB     .D1T1   A4,*A5(0)         ; [A_D64P] |166| 
||         STB     .D2T2   B20,*B8(0)        ; [B_D64P] |167| 
||         MVK     .S1     46,A5             ; [A_S674] |168| 
||         MV      .L2     B5,B6             ; [B_L674] 
||         MV      .L1X    B5,A6             ; [A_L674] 
||         MVK     .S2     53,B26            ; [B_Sb674] |169| 


           STB     .D1T1   A5,*A6(0)         ; [A_D64P] |168| 
||         STB     .D2T2   B26,*B6(0)        ; [B_D64P] |169| 
||         MVK     .S1     61,A6             ; [A_S674] |170| 
||         MV      .L1X    B5,A17            ; [A_L674] 


           STB     .D1T1   A6,*A17(0)        ; [A_D64P] |170| 
||         MVK     .L2     5,B6              ; [B_L674] |172| 
||         MV      .S2     B5,B7             ; [B_Sb674] 
||         MV      .L1X    B5,A16            ; [A_L674] 


           STB     .D2T1   A20,*B7(0)        ; [B_D64P] |171| 
||         STB     .D1T2   B6,*A16(0)        ; [A_D64P] |172| 
||         MVK     .S2     20,B7             ; [B_Sb674] |174| 
||         MV      .L1X    B5,A7             ; [A_L674] 


           STB     .D2T1   A4,*B5(0)         ; [B_D64P] |173| 
||         STB     .D1T2   B7,*A7(0)         ; [A_D64P] |174| 
||         MV      .L1X    B5,A16            ; [A_L674] 
||         MV      .L2     B5,B9             ; [B_L674] 


           STB     .D2T1   A21,*B9(0)        ; [B_D64P] |175| 
||         STB     .D1T2   B25,*A16(0)       ; [A_D64P] |176| 
||         MV      .L2     B5,B8             ; [B_L674] 


           STB     .D2T2   B25,*B8(0)        ; [B_D64P] |177| 
||         MVK     .S1     250,A17           ; [A_S674] |179| 


           STB     .D1T1   A17,*A3(0)        ; [A_D64P] |179| 
||         MV      .L1X    B5,A7             ; [A_L674] 


           STB     .D2T1   A25,*B5(0)        ; [B_D64P] |180| 
||         STB     .D1T2   B18,*A7(0)        ; [A_D64P] |181| 
||         MV      .L2     B5,B17            ; [B_L674] 


           STB     .D2T2   B4,*B17(0)        ; [B_D64P] |182| 
||         MV      .L1X    B5,A16            ; [A_L674] 
||         MV      .L2     B5,B9             ; [B_L674] 


           STB     .D1T1   A4,*A16(0)        ; [A_D64P] |183| 
||         STB     .D2T2   B20,*B9(0)        ; [B_D64P] |184| 
||         MV      .L2     B5,B17            ; [B_L674] 
||         MV      .L1X    B5,A23            ; [A_L674] 


           STB     .D1T1   A5,*A23(0)        ; [A_D64P] |185| 
||         STB     .D2T2   B26,*B17(0)       ; [B_D64P] |186| 
||         MV      .L1X    B5,A22            ; [A_L674] 


           STB     .D1T1   A6,*A22(0)        ; [A_D64P] |187| 
||         MV      .L2     B5,B9             ; [B_L674] 
||         MV      .L1X    B5,A17            ; [A_L674] 


           STB     .D2T1   A20,*B9(0)        ; [B_D64P] |188| 
||         STB     .D1T2   B6,*A17(0)        ; [A_D64P] |189| 
||         MV      .L1X    B5,A16            ; [A_L674] 
||         MV      .L2     B5,B8             ; [B_L674] 


           STB     .D2T1   A4,*B8(0)         ; [B_D64P] |190| 
||         STB     .D1T2   B7,*A16(0)        ; [A_D64P] |191| 
||         MV      .L1X    B5,A7             ; [A_L674] 


           STB     .D2T1   A21,*B5(0)        ; [B_D64P] |192| 
||         STB     .D1T2   B25,*A7(0)        ; [A_D64P] |193| 
||         MV      .L2     B5,B4             ; [B_L674] 


           STB     .D2T2   B25,*B4(0)        ; [B_D64P] |194| 
||         MVK     .S1     251,A5            ; [A_S674] |196| 


           STB     .D1T1   A5,*A3(0)         ; [A_D64P] |196| 
||         MV      .L1X    B5,A4             ; [A_L674] 


           STB     .D2T1   A25,*B5(0)        ; [B_D64P] |197| 
||         STB     .D1T2   B16,*A4(0)        ; [A_D64P] |198| 
||         MV      .L1X    B5,A16            ; [A_L674] 
||         MV      .L2     B5,B6             ; [B_L674] 


           STB     .D2T1   A20,*B6(0)        ; [B_D64P] |199| 
||         STB     .D1T2   B21,*A16(0)       ; [A_D64P] |200| 
||         MV      .L2     B5,B4             ; [B_L674] 
||         MV      .L1X    B5,A7             ; [A_L674] 


           STB     .D2T1   A27,*B4(0)        ; [B_D64P] |201| 
||         STB     .D1T2   B24,*A7(0)        ; [A_D64P] |202| 
||         MV      .L2     B5,B8             ; [B_L674] 
||         MV      .L1X    B5,A6             ; [A_L674] 


           STB     .D2T1   A26,*B8(0)        ; [B_D64P] |203| 
||         STB     .D1T2   B22,*A6(0)        ; [A_D64P] |204| 
||         MV      .L1X    B5,A5             ; [A_L674] 
||         MV      .L2     B5,B7             ; [B_L674] 


           STB     .D2T1   A8,*B7(0)         ; [B_D64P] |205| 
||         STB     .D1T2   B23,*A5(0)        ; [A_D64P] |206| 
||         MV      .L1X    B5,A4             ; [A_L674] 


           STB     .D2T1   A24,*B5(0)        ; [B_D64P] |207| 
||         STB     .D1T2   B20,*A4(0)        ; [A_D64P] |208| 
||         MV      .L1X    B5,A5             ; [A_L674] 
||         MV      .L2     B5,B6             ; [B_L674] 


           STB     .D2T1   A18,*B6(0)        ; [B_D64P] |209| 
||         STB     .D1T2   B25,*A5(0)        ; [A_D64P] |210| 
||         MV      .L2     B5,B4             ; [B_L674] 


           STB     .D2T2   B25,*B4(0)        ; [B_D64P] |211| 
||         MVK     .S1     252,A5            ; [A_S674] |213| 


           STB     .D1T1   A5,*A3(0)         ; [A_D64P] |213| 
||         MV      .L1X    B5,A7             ; [A_L674] 
||         MV      .L2     B5,B19            ; [B_L674] 


           STB     .D2T1   A25,*B19(0)       ; [B_D64P] |214| 
||         STB     .D1T2   B16,*A7(0)        ; [A_D64P] |215| 
||         MV      .L2     B5,B7             ; [B_L674] 
||         MV      .L1X    B5,A6             ; [A_L674] 


           STB     .D2T1   A20,*B7(0)        ; [B_D64P] |216| 
||         STB     .D1T2   B21,*A6(0)        ; [A_D64P] |217| 
||         MV      .L1X    B5,A4             ; [A_L674] 


           STB     .D2T1   A27,*B5(0)        ; [B_D64P] |218| 
||         STB     .D1T2   B24,*A4(0)        ; [A_D64P] |219| 
||         MV      .L1X    B5,A5             ; [A_L674] 
||         MV      .L2     B5,B6             ; [B_L674] 


           STB     .D2T1   A26,*B6(0)        ; [B_D64P] |220| 
||         STB     .D1T2   B22,*A5(0)        ; [A_D64P] |221| 
||         MV      .L1X    B5,A7             ; [A_L674] 
||         MV      .L2     B5,B8             ; [B_L674] 


           STB     .D2T1   A8,*B8(0)         ; [B_D64P] |222| 
||         STB     .D1T2   B23,*A7(0)        ; [A_D64P] |223| 
||         MV      .L1X    B5,A4             ; [A_L674] 
||         MV      .L2     B5,B7             ; [B_L674] 


           STB     .D2T1   A24,*B7(0)        ; [B_D64P] |224| 
||         STB     .D1T2   B20,*A4(0)        ; [A_D64P] |225| 
||         MV      .L1X    B5,A6             ; [A_L674] 
||         MV      .L2     B5,B19            ; [B_L674] 


           STB     .D2T1   A18,*B19(0)       ; [B_D64P] |226| 
||         STB     .D1T2   B25,*A6(0)        ; [A_D64P] |227| 


           STB     .D2T2   B25,*B5(0)        ; [B_D64P] |228| 
||         MV      .L2     B5,B4             ; [B_L674] 


           STB     .D1T1   A19,*A3(0)        ; [A_D64P] |230| 
||         STB     .D2T2   B18,*B4(0)        ; [B_D64P] |231| 
||         MV      .L1X    B5,A7             ; [A_L674] 


           MV      .L1     A3,A4             ; [A_L674] |162| 
||         STB     .D1T1   A9,*A7(0)         ; [A_D64P] |232| 


           STB     .D1T2   B26,*A4(0)        ; [A_D64P] |234| 
||         MV      .L2     B5,B6             ; [B_L674] 


           STB     .D2T2   B16,*B6(0)        ; [B_D64P] |235| 
||         MVK     .S1     54,A4             ; [A_S674] |237| 
||         MV      .L2X    A3,B4             ; [B_L674] |162| 


           STB     .D2T1   A4,*B4(0)         ; [B_D64P] |237| 
||         MVK     .S1     40,A4             ; [A_S674] |238| 
||         MV      .L1X    B5,A6             ; [A_L674] 


           STB     .D1T1   A4,*A6(0)         ; [A_D64P] |238| 
||         MVK     .S1     58,A4             ; [A_S674] |240| 
||         MVK     .S2     85,B4             ; [B_Sb674] |241| 
||         MV      .L1     A3,A5             ; [A_L674] |162| 


           STB     .D1T1   A4,*A5(0)         ; [A_D64P] |240| 
||         STB     .D2T2   B4,*B5(0)         ; [B_D64P] |241| 


           STB     .D1T1   A24,*A3(0)        ; [A_D64P] |243| 
||         CALLP   .S2     Delay,B3          ; [B_Sb674] |244| 
||         MVK     .S1     20,A4             ; [A_S674] |244| 

$C$RL22:   ; CALLP OCCURS {Delay} {0}        ; [] |244| 
           RETNOP          A0,5              ; [] |245| 
           ; BRANCH OCCURS {A0}              ; [] |245| 
	.sect	".text:LCD_Clear"
	.clink
	.global	LCD_Clear

;******************************************************************************
;* FUNCTION NAME: LCD_Clear                                                   *
;*                                                                            *
;*   Regs Modified     : A3,A4,A5,A6,A7,B4,B5,B6,B8,B9,B16,B17,B18            *
;*   Regs Used         : A3,A4,A5,A6,A7,B3,B4,B5,B6,B8,B9,B16,B17,B18         *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
LCD_Clear:
;** --------------------------------------------------------------------------*

           MVK     .S1     42,A5             ; [A_S674] |250| 
||         ZERO    .L1     A3                ; [A_L674] |250| 

           SET     .S1     A3,29,30,A3       ; [A_S674] |250| 
||         MVKL    .S2     0x60004000,B5     ; [B_Sb674] |251| 

           ZERO    .L1     A5                ; [A_L674] |251| 
||         STB     .D1T1   A5,*A3(0)         ; [A_D64P] |250| 
||         MVKH    .S2     0x60004000,B5     ; [B_Sb674] |251| 


           STB     .D2T1   A5,*B5(0)         ; [B_D64P] |251| 
||         ZERO    .L2     B6                ; [B_L674] |251| 


           STB     .D2T2   B6,*B5(0)         ; [B_D64P] |252| 
||         MV      .L1X    B5,A5             ; [A_L674] |252| 
||         MVK     .S1     1,A6              ; [A_S674] |253| 

           STB     .D1T1   A6,*A5(0)         ; [A_D64P] |253| 
||         MV      .L2     B5,B17            ; [B_L674] |252| 
||         MVK     .S1     143,A7            ; [A_S674] |254| 
||         MVK     .S2     43,B18            ; [B_Sb674] |257| 

           STB     .D1T2   B18,*A3(0)        ; [A_D64P] |257| 
||         STB     .D2T1   A7,*B17(0)        ; [B_D64P] |254| 
||         MV      .L1X    B5,A5             ; [A_L674] |252| 

           STB     .D1T2   B6,*A5(0)         ; [A_D64P] |258| 
||         MV      .L2     B5,B4             ; [B_L674] |252| 

           STB     .D2T2   B6,*B4(0)         ; [B_D64P] |259| 
||         MV      .L2     B5,B16            ; [B_L674] |252| 

           STB     .D2T2   B6,*B16(0)        ; [B_D64P] |260| 
||         MVKL    .S2     0xbb80,B4         ; [B_Sb674] |272| 
||         MVK     .S1     239,A5            ; [A_S674] |261| 
||         MV      .L2     B5,B9             ; [B_L674] |252| 


           STB     .D2T1   A5,*B9(0)         ; [B_D64P] |261| 
||         MVKH    .S2     0xbb80,B4         ; [B_Sb674] |272| 
||         MVK     .S1     44,A6             ; [A_S674] |264| 
||         MV      .L2X    A3,B8             ; [B_L674] |257| 


           STB     .D2T1   A6,*B8(0)         ; [B_D64P] |264| 
||         SHRU    .S2X    A4,8,B6           ; [B_Sb674] |269| 
||         SUB     .L2     B4,4,B4           ; [B_L674] 

           MVC     .S2     B4,ILC            ; [B_Sb674] 
           SHL     .S1     A4,8,A3           ; [A_S674] |269| 
           OR      .L1X    A3,B6,A3          ; [A_L674] |269| 
           EXTU    .S1     A3,16,16,A3       ; [A_S674] |269| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../S6D04D1X21.c
;*      Loop source line                 : 272
;*      Loop opening brace source line   : 272
;*      Loop closing brace source line   : 272
;*      Loop Unroll Multiple             : 2x
;*      Known Minimum Trip Count         : 48000                    
;*      Known Maximum Trip Count         : 48000                    
;*      Known Max Trip Count Factor      : 48000
;*      Loop Carried Dependency Bound(^) : 1
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     1*       1*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        0     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        0     
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 1  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 0
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1 (after unrolling)
;*----------------------------------------------------------------------------*
$C$L10:    ; PIPED LOOP PROLOG

           SPLOOPD         1                 ;2 ; [A_L674] (P) 
||         MV      .S1X    B5,A4             ; [A_S674] |252| 
||         MV      .L2X    A3,B4             ; [B_L674] Define a LI twin register

;** --------------------------------------------------------------------------*
$C$L11:    ; PIPED LOOP KERNEL

           STH     .D1T1   A3,*A4(0)         ; [A_D64P] |272| (P) <0,0>  ^ 
||         STH     .D2T2   B4,*B5(0)         ; [B_D64P] |272| (P) <0,0>  ^ 

           SPKERNEL        0,0               ; [] 
;** --------------------------------------------------------------------------*
$C$L12:    ; PIPED LOOP EPILOG
           RETNOP          B3,5              ; [] |273| 
           ; BRANCH OCCURS {B3}              ; [] |273| 
	.sect	".text:LCD_Background"
	.clink
	.global	LCD_Background

;******************************************************************************
;* FUNCTION NAME: LCD_Background                                              *
;*                                                                            *
;*   Regs Modified     : A3,A4,A6,A7,B4,B5,B6,B7                              *
;*   Regs Used         : A3,A4,A6,A7,B3,B4,B5,B6,B7                           *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
LCD_Background:
;** --------------------------------------------------------------------------*
           MVK     .S2     12000,B5          ; [B_Sb674] |285| 
           MVKL    .S2     SwitchBuffer,B4   ; [B_Sb674] |279| 

           MVKH    .S2     SwitchBuffer,B4   ; [B_Sb674] |279| 
||         SUB     .L2     B5,2,B5           ; [B_L674] 
||         MVKL    .S1     Background,A4     ; [A_S674] |280| 

           LDW     .D2T1   *B4(0),A3         ; [B_D64P] |279| 
||         MVC     .S2     B5,ILC            ; [B_Sb674] 
||         MVKH    .S1     Background,A4     ; [A_S674] |280| 

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : ../S6D04D1X21.c
;*      Loop source line                 : 285
;*      Loop opening brace source line   : 285
;*      Loop closing brace source line   : 285
;*      Loop Unroll Multiple             : 2x
;*      Known Minimum Trip Count         : 12000                    
;*      Known Maximum Trip Count         : 12000                    
;*      Known Max Trip Count Factor      : 12000
;*      Loop Carried Dependency Bound(^) : 0
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     2*       2*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        0     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        0     
;*      Bound(.L .S .D .LS .LSD)     1        1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 2  Schedule found with 3 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 0
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      For further improvement on this loop, try option -mh16
;*
;*      Minimum safe trip count       : 1 (after unrolling)
;*----------------------------------------------------------------------------*
$C$L13:    ; PIPED LOOP PROLOG

           SPLOOPD         2                 ;6 ; [A_L674] (P) 
||         MV      .L2X    A4,B5             ; [B_L674] Define a LI twin register
||         ADD     .S1     8,A4,A4           ; [A_S674] 

;** --------------------------------------------------------------------------*
$C$L14:    ; PIPED LOOP KERNEL

           LDDW    .D2T2   *B5++(16),B7:B6   ; [B_D64P] |285| (P) <0,0> 
||         LDDW    .D1T1   *A4++(16),A7:A6   ; [A_D64P] |285| (P) <0,0> 

           NOP             2                 ; [A_L674] 

           SPMASK                            ; [] 
||^        MV      .L2X    A3,B4             ; [B_L674] Define a LI twin register
||^        ADD     .L1     8,A3,A3           ; [A_L674] 

           NOP             1                 ; [A_L674] 

           SPKERNEL        0,0               ; [] 
||         STDW    .D2T2   B7:B6,*B4++(16)   ; [B_D64P] |285| <0,5> 
||         STDW    .D1T1   A7:A6,*A3++(16)   ; [A_D64P] |285| <0,5> 

;** --------------------------------------------------------------------------*
$C$L15:    ; PIPED LOOP EPILOG
           RETNOP          B3,5              ; [] |286| 
           ; BRANCH OCCURS {B3}              ; [] |286| 
;*****************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                             *
;*****************************************************************************
	.global	Background
	.global	SwitchBuffer

;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_Long_Precision_Bits(2)
	.battr "TI", Tag_File, 1, Tag_Bitfield_layout(2)
	.battr "TI", Tag_File, 1, Tag_ABI_enum_size(3)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_wchar_t(1)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_alignment(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_align_expected(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PIC(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PID(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_DSBT(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_preserved(0)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)
