#ifndef _S6D04D1X21_H_
#define _S6D04D1X21_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "Type.h"

#include "GPIO.h"
#include "EMIFA.h"

#include "Background.h"

#define LCD_W 240
#define LCD_H 400

#define REV16(x) ((((u16)x)>>8)|(((u16)x)<<8))

#define LCD_WR_REG(x) LCD_I8=x

#define LCD_WR_DAT(x) LCD_D8=x

extern u32 SwitchBuffer[2];

void Delay(volatile u32 ms);
void LCD_Reset(void);
void LCD_Init(void);
void LCD_Position(u16 sx,u16 sy,u16 ex,u16 ey);
void LCD_Clear(u16 c);
void LCD_Background(void);
void LCD_Test(void);

#ifdef __cplusplus
}
#endif

#endif
